#pragma once

#include "SpectrumLoader.h"
#include "PredictionNoExtrap.h"

namespace ana
{
  class Experiment;

  /// \brief Produce \ref Experiment objects encapsulating the \f$ \nu_\mu \f$
  /// analysis
  ///
  /// Construct me, then call Go() on the loaders, then make as many
  /// experiments as you want.
  class NumuAnalysis
  {
  public:
    NumuAnalysis(SpectrumLoaderBase& loader, SpectrumLoaderBase& loaderSwap,
                 SpectrumLoaderBase& loaderCosmic);
    Experiment* MakeExperiment(osc::IOscCalculator* calc, double pot);

  protected:
    PredictionNoExtrap fPredCC, fPredQE, fPredUC;
  };
}
