#pragma once

#include "CAFAna/Experiment.h"

namespace osc{class IOscCalculator;}

class TH1;

namespace ana
{
  /// T2K experiment, based on scaling published numbers
  class T2KToyExperiment : public Experiment
  {
  public:
    T2KToyExperiment();
    ~T2KToyExperiment();

    void SetPOT(double pot){fPOT = pot;}
    void SetPOTAnti(double pot){fPOTAnti = pot;}

    void SetTruthParams(osc::IOscCalculatorAdjustable* osc);

    virtual double ChiSq(osc::IOscCalculatorAdjustable* osc,
                         const SystShifts& shift = SystShifts::Nominal()) const override;
  protected:
    void LoadSpectra();
    TH1* GetReweightedSignal(TH1* h, TH1* ret, bool anti,
                             osc::IOscCalculator* calc) const;
    double GetSignalScaleFactor(bool anti, osc::IOscCalculator* calc) const;
    double LogL(double data, double pred, double syst) const;

    double fPOT, fPOTAnti;

    double fSigFactorTrue, fSigFactorAntiTrue;

    TH1* fSpect; ///< Unoscillated, normalized

    osc::IOscCalculator* fOscBase;
    double fBasePOT;
    double fBaseSig;
    double fBaseBkg;
    double fBaseSigAnti;
    double fBaseBkgAnti;
    double fTotSyst;
  };
}
