#ifndef CELLTOCELL_CELLSUMMARY_H
#define CELLTOCELL_CELLSUMMARY_H
//////////////////////////////////////////////////////////////////////
/// \file    CellSummary.h
/// \brief   Ntuple produced by the CellToCell module
/// \version $Id: CellSummary.h,v 1.11 2012-09-25 16:52:48 gsdavies Exp $
/// \author  timdkut@iastate.edu
/////////////////////////////////////////////////////////////////////

namespace c2c {
  
  /// Ntuple produced by the celltocell module
  class CellSummary {
  public:
    
    //-----------------TRACK INFORMATION START--------------------
    
    int EventNumber;
    int RunNumber;
    int SubrunNumber;
    int SubrunTime;
    int EventTime;
    int TrackNumber;
    int TrackSliceNumber;
    
    int NCell;
    int NXCell;
    int NYCell;
    int NPlane;
    int NXPlane;
    int NYPlane;
    
    double TrackLength;
    double xTrackStart;
    double yTrackStart;
    double zTrackStart;
    double xTrackEnd;
    double yTrackEnd;
    double zTrackEnd;
    double dX;
    double dY;
    double dZ;
    
    //------------------TRACK INFORMATION END---------------------
    
    //-----------------RECO INFORMATION START---------------------
    
    int view;
    double X;
    double Y;
    double Z;
    double AverageCellPathLength;
    double BECPL;
    int TrackQuality;
    int cell;
    int plane;
    double CellTime;
    double RecoTime;
    double PE;
    double PECorr;

    int DiBlock;
    int DCM;
    int FEB;
    int DAQChannel;
    
    bool CutPlaneNumber;
    bool CutPlaneNumberTotal;
    bool CutContinuousTrackFour;
    bool CutContinuousTrackFive;
    bool CutTrackiness;
    
    //-------------------RECO INFORMATION END---------------------
   
  public:
    CellSummary();
  };
}

#endif
////////////////////////////////////////////////////////////////////////
