////////////////////////////////////////////////////////////////////////
/// \file    MatchList.h
/// \brief   Collection of MatchSummary objects
/// \author  Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#ifndef LEM_MATCHLIST_H
#define LEM_MATCHLIST_H

#include <vector>

#include "LEM/func/MatchSummary.h"

namespace lem
{
  /// Collection of MatchSummary objects
  class MatchList
  {
  public:
    MatchList() : headIdx(-1) {}
    MatchList(const std::vector<MatchSummary>& m,
              const MatchSummary& t)
      : matches(m), trial(t) {}
    std::vector<MatchSummary> matches;
    MatchSummary trial;
    int headIdx;
  };
}

#endif
