////////////////////////////////////////////////////////////////////////
/// \file    MatchSummary.h
/// \brief   Outputs of the MakePID module
/// \author  Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#ifndef LEM_PIDEXTRAVARS_H
#define LEM_PIDEXTRAVARS_H

namespace lem
{
  /// Outputs of the MakePID module
  class PIDExtraVars
  {
  public:
    PIDExtraVars() :
    fPIDFit(-1), fPIDFitUnweight(-1), fPIDExp(-1), fPIDExpFit(-1),
    fMeanY(-1),        fMeanYFit(-1),        fMeanYExp(-1),
    fMeanYSig(-1),     fMeanYSigFit(-1),     fMeanYSigExp(-1),
    fMeanQFrac(-1),    fMeanQFracFit(-1),    fMeanQFracExp(-1),
    fMeanQFracSig(-1), fMeanQFracSigFit(-1), fMeanQFracSigExp(-1),
    fMeanQFracBkg(-1), fMeanQFracBkgFit(-1), fMeanQFracBkgExp(-1),
    fEnergyDiff(-1), fEnergyDiffExp(-1),
    fEnrichFrac(-1),  fEnrichFracFit(-1),  fEnrichFracExp(-1),
    fEnrichQFrac(-1), fEnrichQFracFit(-1), fEnrichQFracExp(-1),
    fFannId(-1), fFannIdEnrich(-1),
    fChiSig(-1), fChiBkg(-1), fChiSigExp(-1), fChiBkgExp(-1),
    fBestSigPotential(-1), fBestBkgPotential(-1), fBestEnrichPotential(-1),
    fAvgInvE(-1), fAvgExpE(-1), fAvgSigE(-1),
    fTMVABDTG(-1), fTMVABDT(-1), fTMVABDTD(-1), fTMVABDTMF(-1), fTMVAMLP(-1),
    fTMVABDTG_CC(-1), fTMVAMLP_CC(-1),
    fPIDFracNumuFit(-1),
    fPIDy50Fit(-1), fPIDy90Fit(-1),
    fMeanQFracSigY50Fit(-1), fMeanQFracSigY90Fit(-1),
    fMeanYSigY50Fit(-1),     fMeanYSigY90Fit(-1),
    fMeanL0Fit(-1),       fMeanL1Fit(-1),
    fMeanL0PiOnlyFit(-1), fMeanL1PiOnlyFit(-1),
    fMeanL0Exp(-1),       fMeanL1Exp(-1),
    fMeanL0PiOnlyExp(-1), fMeanL1PiOnlyExp(-1),
    fMeanMatchEExp(-1),
    fDecTreePID(-1),
    fQESigFracExp(-1),  fResSigFracExp(-1),  fDISSigFracExp(-1),
    fQENCFracExp(-1),   fResNCFracExp(-1),   fDISNCFracExp(-1),
    fQENumuFracExp(-1), fResNumuFracExp(-1), fDISNumuFracExp(-1)
    {
    }

    double fPIDFit;
    double fPIDFitUnweight;
    double fPIDExp;
    double fPIDExpFit;

    double fMeanY;
    double fMeanYFit;
    double fMeanYExp;

    double fMeanYSig;
    double fMeanYSigFit;
    double fMeanYSigExp;

    double fMeanQFrac;
    double fMeanQFracFit;
    double fMeanQFracExp;

    double fMeanQFracSig;
    double fMeanQFracSigFit;
    double fMeanQFracSigExp;
    double fMeanQFracBkg;
    double fMeanQFracBkgFit;
    double fMeanQFracBkgExp;

    double fEnergyDiff;
    double fEnergyDiffExp;

    double fEnrichFrac;
    double fEnrichFracFit;
    double fEnrichFracExp;

    double fEnrichQFrac;
    double fEnrichQFracFit;
    double fEnrichQFracExp;

    double fFannId;
    double fFannIdEnrich;

    double fChiSig;
    double fChiBkg;
    double fChiSigExp;
    double fChiBkgExp;

    double fBestSigPotential;
    double fBestBkgPotential;
    double fBestEnrichPotential;

    double fAvgInvE;
    double fAvgExpE;
    double fAvgSigE;

    double fTMVABDTG;
    double fTMVABDT;
    double fTMVABDTD;
    double fTMVABDTMF;
    double fTMVAMLP;

    double fTMVABDTG_CC;
    double fTMVAMLP_CC;

    double fPIDFracNumuFit;

    double fPIDy50Fit;
    double fPIDy90Fit;
    double fMeanQFracSigY50Fit;
    double fMeanQFracSigY90Fit;
    double fMeanYSigY50Fit;
    double fMeanYSigY90Fit;

    double fMeanL0Fit, fMeanL1Fit;
    double fMeanL0PiOnlyFit, fMeanL1PiOnlyFit;
    double fMeanL0Exp, fMeanL1Exp;
    double fMeanL0PiOnlyExp, fMeanL1PiOnlyExp;

    double fMeanMatchEExp;

    double fDecTreePID;

    double fQESigFracExp, fResSigFracExp, fDISSigFracExp;
    double fQENCFracExp, fResNCFracExp, fDISNCFracExp;
    double fQENumuFracExp, fResNumuFracExp, fDISNumuFracExp;
  };
}

#endif
