////////////////////////////////////////////////////////////////////////
/// \file    Util.h
/// \brief   Utilities for mmap
/// \author  Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#ifndef LEM_FUNCUTIL_H
#define LEM_FUNCUTIL_H

#include <string>

namespace lem
{
  /// \param fname File to map in
  /// \param addr Where to map it
  /// \param touchAll Read from every page to make sure it's cached
  /// \param lockName If \a touchAll, coordinate using lock here
  /// \return Size of mapping in bytes
  long MMapFileAtAddress(const std::string& fname, void* addr, bool touchAll,
                         const std::string& lockName = "");
}

#endif
