#ifndef OM_FEBRATESBYDIBLOCK_H
#define OM_FEBRATESBYDIBLOCK_H
#include <ctime>
#include <vector>
#include "OnlineMonitoring/producer/SummarySubscriber.h"

// This must be one larger than the number of Diblocks/DCMs for the FD
// so that it can be easily accessed as fPixelsDCM[Diblock][DCM] instead
// of fPixelsDCM[Diblock - 1][DCM - 1].
static const unsigned int numDB = 16;

class TH1F;
class TH2F;
namespace om            { class RawEventSummary;  }
namespace om            { class DataBlockSummary; }
namespace om            { class MicroSliceSummary;}
namespace om            { class NanoSliceSummary; }
namespace daqchannelmap { class HardwareDisplay;  }

namespace om {
  class FEBRatesByDiblock : public SummarySubscriber {
  public:
    FEBRatesByDiblock();
    ~FEBRatesByDiblock();
    virtual void GetNanoSliceSummary(const RawEventSummary&   r,
				     const DataBlockSummary&  dbs,
				     const MicroSliceSummary& mss,
				     const NanoSliceSummary&  nss);
  private:
    void UpdateRatePlots();

    daqchannelmap::HardwareDisplay* fHwMap;

    TH2F* fFEBRatesDB[numDB];
    TH2F* fFEBHitsDB[numDB];
    TH2F* fDCMRates;
    TH2F* fDCMHits;
    TH2F* fEmptyDCMs;
    TH1F* fLiveTime;

    std::vector<unsigned int> fDCMs;

    time_t fLastTime;
    unsigned int fDCMpDB;
    
  };
}

#endif
////////////////////////////////////////////////////////////////////////
