///
/// \file    MicroSliceSummary.h
/// \brief   All the interesting event-level data
/// \version $Id: MicroSliceSummary.h,v 1.2 2012-10-29 22:21:21 mbaird42 Exp $
/// \author  messier@indiana.edu
///
#ifndef OM_MICROSLICESUMMARY_H
#define OM_MICROSLICESUMMARY_H

namespace om {
  class MicroSliceSummary {
  public:
    MicroSliceSummary();
  public:
    unsigned int      fDet;         ///< Detector ID
    unsigned int      fNnanoslice;  ///< Number of nano slices
    unsigned int      fDiblock;     ///< Diblock ID
    unsigned int      fDCM;         ///< DCM ID
    unsigned long int fTime;        ///< NOvA time of microslice
    bool              fDataPresent; ///< Data Present flag by DCM
    bool              fMCflag;      ///< Monte Carlo flag
    unsigned int      fByteCount;   ///< Number of bytes reported by DCM
  };
}

#endif
////////////////////////////////////////////////////////////////////////
