#ifndef OM_TQPLOTS_H
#define OM_TQPLOTS_H
#include "OnlineMonitoring/producer/SummarySubscriber.h"

// This must be one larger than the number of Diblocks/DCMs for the FD
// so that it can be easily accessed as fTQDCM[Diblock][DCM] instead
// of fTQDCM[Diblock - 1][DCM - 1].
static const unsigned int TQDCM_size = 16;

class TH1F;
class TH2F;
namespace om { class RawEventSummary;   }
namespace om { class DataBlockSummary;  }
namespace om { class MicroSliceSummary; }
namespace om { class NanoSliceSummary;  }

namespace om {
  class TQPlots : public SummarySubscriber {
  public:
    TQPlots();
    ~TQPlots();
    virtual void GetNanoSliceSummary(const RawEventSummary&   r,
				     const DataBlockSummary&  dbs,
				     const MicroSliceSummary& mss,
				     const NanoSliceSummary&  nss);
  private:
    TH2F* fTQDCM[TQDCM_size][TQDCM_size];
    TH2F* fTQDCMnumi[TQDCM_size][TQDCM_size];
    TH1F* fTPlotALL;
    TH1F* fTPlotZOOM;
    TH1F* fQPlotALL;

  };
}

#endif
////////////////////////////////////////////////////////////////////////
