#ifndef OM_HWDETLABEL_H
#define OM_HWDETLABEL_H
#include <list>
class TLine;
class TText;
class TH1;

namespace om {
  ///
  /// Draw labels on hardware detector view histograms
  ///
  class HwDetLabel {
  public:
    HwDetLabel(bool show_feb_boundaries=true);
    ~HwDetLabel();
    void Config(const TH1* h);
    void Draw();
  private:
    void Clear();
    void MakeHorizontalLines();
    void MakeVerticalLines();
    void MakeDBLabels();
    void MakeDCMLabels();
  private:
    bool fShowFEBBoundaries; ///< Should we mark off the FEB boundaries?
    int  fNdiblock;
    int  fNdcm;
    std::list<TLine*> fLine; ///< Collection of line lables
    std::list<TText*> fText; ///< Collection of text labels
  };
}

#endif
////////////////////////////////////////////////////////////////////////
