#ifndef OM_HWPCLABEL_H
#define OM_HWPCLABEL_H
#include <list>
class TLine;
class TPaveText;
class TH1;

namespace om {
  ///
  /// Draw labels on hardware detector view histograms
  ///
  class HwPCLabel {
  public:
    HwPCLabel();
    ~HwPCLabel();
    void Config(const TH1* h, bool isXview);
    void Draw();
    void DrawNDOS(bool isXview);
  private:
    void Clear();
    void MakeHorizontalLinesX();
    void MakeHorizontalLinesY();
    void MakeVerticalLinesX();
    void MakeVerticalLinesY();
    void MakeLabelsX();
    void MakeLabelsY();
  private:
    int  fNdiblock;
    int  fNmod;
    std::list<TLine*> fLine; ///< Collection of line lables
    TPaveText* fTextTop1;    ///< Text label for the top of the plot
    TPaveText* fTextTop2;    ///< Text label for the top of the plot
    TPaveText* fTextTop3;    ///< Text label for the top of the plot
    TPaveText* fTextSide1;   ///< Text label for the side of the plot
    TPaveText* fTextSide2;   ///< Text label for the side of the plot
    TPaveText* fTextSide3;   ///< Text label for the side of the plot
    TPaveText* fTextSide4;   ///< Text label for the side of the plot
  };
}

#endif
////////////////////////////////////////////////////////////////////////
