////////////////////////////////////////////////////////////////////////
/// \brief   Definition of basic raw digits
/// \author  jpaley@indiana.edu
/// \date
////////////////////////////////////////////////////////////////////////
#ifndef DAQHEADER_H
#define DAQHEADER_H

#include <iosfwd>
#include <vector>

namespace rawdata {

  // Detector ID is identified in NovaDAQConventions package as an int

  class DAQHeader 
  {
  public:
    DAQHeader(); // Default constructor
    DAQHeader(int detId, unsigned int status);
    DAQHeader(const DAQHeader& ); // Copy constructor
    
    ~DAQHeader();
    
    unsigned int                 Status() const { return fStatus; }
    int                          DetId() const  { return fDetId; }
    
    void  SetStatus(unsigned int                i) { fStatus = i;}
    void  SetDetId(int i) { fDetId = i;}
    
  private:
    unsigned int       fStatus;
    int                fDetId;
    
  };
}

#endif // DAQHEADER_H
////////////////////////////////////////////////////////////////////////
