////////////////////////////////////////////////////////////////////////
// \file    StandardRecord.h
// \brief   The StandardRecord is the primary top-level object in the 
//          Common Analysis File trees.   
// \version $Id: StandardRecord.h,v 1.7 2012-12-06 20:18:33 rocco Exp $
// \author  $Author: rocco $
// \date    $Date: 2012-12-06 20:18:33 $
////////////////////////////////////////////////////////////////////////
#ifndef STANDARDRECORD_H
#define STANDARDRECORD_H

#include "StandardRecord/SRHeader.h"
#include "StandardRecord/SRSpill.h"
#include "StandardRecord/SRSlice.h"
#include "StandardRecord/SRTrackBranch.h"
#include "StandardRecord/SRShowerBranch.h"
#include "StandardRecord/SRVertexBranch.h"
#include "StandardRecord/SRMichelE.h"
#include "StandardRecord/SREnergyBranch.h"
#include "StandardRecord/SRIDBranch.h"
#include "StandardRecord/SRTruthBranch.h"
#include "StandardRecord/SRSandbox.h"
#include "StandardRecord/SRParentBranch.h"

/// Common Analysis Files
namespace caf
{
  
  /// \brief   The StandardRecord is the primary top-level object in the 
  ///          Common Analysis File trees.   
  
  class StandardRecord  
    {
      
    public:
      StandardRecord();
      ~StandardRecord();
      
      SRHeader       hdr;
      SRSpill        spill;
      SRSlice        slc;
      SRTrackBranch  trk;
      SRShowerBranch shw;
      SRVertexBranch vtx;
      SRMichelE      me;
      SREnergyBranch energy;
      SRIDBranch     sel;
      SRSandbox      sand;
      SRTruthBranch  mc;
      SRParentBranch parent;
    };
  
} // end namespace

#endif // STANDARDRECORD_H
//////////////////////////////////////////////////////////////////////////////
