import os, sys
import sys, datetime
import os
# all of root 
from ROOT import *
# My utilities
import novaStyle, canMan, cafe, HTMLTools as html 
import psycopg2
from WatchdogFx import *
from collections import OrderedDict 

os.umask(002)

intervalLength = 7
webDir = "/nusoft/app/web/htdoc/nova/datacheck/processinghistory/"
#onMonDir = "/nova/data/nearline-OnMon/FarDet/S13-09-17/"
onMonDir = "/nova/data/nearline-OnMon/FarDet/S14-02-05/"
cafDir   = "/nova/prod/data/FarDet/S13-10-11/cosmic/caf/"
recoDir   = "/nova/prod/data/FarDet/S13-10-11/cosmic/reco/"
rootDir   = "/nova/data/novaroot/FarDet/S13-09-04/"
rawDir    = "/pnfs/nova/rawdata/FarDet/"
#rawDir    = "/nova/data/rawdata/FarDet/"
numiRecoDir   = "/nova/prod/data/FarDet/S14-01-20/numi/reco/"
numiPIDDir   = "/nova/prod/data/FarDet/S14-01-20/numi/pid/"
numiCafDir   = "/nova/prod/data/FarDet/S14-01-20/numi/caf/"
calDataDir    = "/nova/ana/calibration/FarDet/S13-09-04/"


gEnv.SetValue("TFile.Recover", 0)


allTimeMinRun = fetchTable("select min(run) from fardet.runs")[0][0]
allTimeMaxRun = fetchTable("select max(run) from fardet.runs")[0][0]
lastRun = 999999999
lastTimeStamp = fetchTable("select CURRENT_TIMESTAMP;")[0][0]
print lastTimeStamp, type(lastTimeStamp), str(lastTimeStamp)
boundaries = [allTimeMaxRun]
timeStamps = [fetchTable("select CURRENT_TIMESTAMP;")[0][0]]
nIntervals = 1
timeStrFile = open(webDir + "times.txt",'w')
while lastRun > allTimeMinRun:
  minRunInInterval = fetchTable("select min(run) from fardet.runs where tstart >= (CURRENT_TIMESTAMP - interval '"+str(intervalLength * nIntervals) +"' day);")[0][0]
  minTimeInInterval = fetchTable("select tstart from fardet.runs where run = " + str(minRunInInterval))[0][0]
  timeStrFile.write(minTimeInInterval.strftime("%Y/%m/%d, %H:%M") + " - " +  lastTimeStamp.strftime("%Y/%m/%d, %H:%M") + '\n')

  lastRun = minRunInInterval
  lastTimeStamp = minTimeInInterval
  boundaries.append(minRunInInterval)
  timeStamps.append(minTimeInInterval)
  nIntervals += 1
timeStrFile.close()
  
print boundaries
print timeStamps
print len(boundaries), len(timeStamps), countFiles(webDir, ["cosmics", "png"])


for i in range(1, len(boundaries)):
  maxRun = boundaries[i-1]
  minRun = boundaries[i]
  numRunsForHistory = maxRun - minRun
  gDirectory.mkdir("new")
  gDirectory.cd("new")
  dbRunsHist = getDBRunsHist(minRun, maxRun)
  onMonRunsHist =  getCompletedRunsHist(onMonDir, "OnMon Files", maxRun, numRunsForHistory)
  cosmicHistoryHists = getCosmicHistoryHists(maxRun, numRunsForHistory, dbRunsHist, onMonRunsHist)
  processingPlotName = "cosmics" + str(i).zfill(2)
  canCosmic = canMan.drawOverlay( cosmicHistoryHists, varOpts=varOpts, name=processingPlotName, legPos = "auto", legWidth=0.4, legHeight=0.3, padFactor=2,\
                                  lineStyles=runHistoryLineStyles, colors=runHistoryColors, lineWidths=runHistoryLineWidths, fillStyles=runHistoryFillStyles)
  canCosmic.SaveAs(webDir + processingPlotName + ".png")

  numiHistoryHists = getNumiHistoryHists(maxRun, numRunsForHistory, dbRunsHist, onMonRunsHist)
  processingPlotName = "numi" + str(i).zfill(2)
  canCosmic = canMan.drawOverlay( numiHistoryHists, varOpts=varOptsWithExtra, name=processingPlotName, legPos = "auto", legWidth=0.4, legHeight=0.3, padFactor=2,\
                                  lineStyles=runHistoryLineStylesWithExtra, colors=runHistoryColorsWithExtra, lineWidths=runHistoryLineWidthsWithExtra, fillStyles=runHistoryFillStylesWithExtra)
  canCosmic.SaveAs(webDir + processingPlotName + ".png")
  
  calHistoryHists = getCalHistoryHists(maxRun, numRunsForHistory, dbRunsHist, onMonRunsHist, cosmicHistoryHists[1], cosmicHistoryHists[2], cosmicHistoryHists[0])
  processingPlotName = "cal" + str(i).zfill(2)
  canCosmic = canMan.drawOverlay( calHistoryHists, varOpts=varOpts, name=processingPlotName, legPos = "auto", legWidth=0.4, legHeight=0.3, padFactor=2,\
                                  lineStyles=runHistoryLineStyles, colors=runHistoryColors, lineWidths=runHistoryLineWidths, fillStyles=runHistoryFillStyles)
  canCosmic.SaveAs(webDir + processingPlotName + ".png")
    
  numiHistoryHists = getNumiBlueHistoryHists(maxRun, numRunsForHistory, dbRunsHist, onMonRunsHist, numiRecoDir, rawDir, rootDir, numiPIDDir,numiCafDir)
  processingPlotName = "numiBlue" + str(i).zfill(2)
  canCosmic = canMan.drawOverlay( numiHistoryHists, varOpts=varOptsWithExtra[1:], name=processingPlotName, legPos = "auto", legWidth=0.4, legHeight=0.3, padFactor=2,\
                                  lineStyles=runHistoryLineStylesWithExtra[1:], colors=runHistoryColorsWithExtra[1:], lineWidths=runHistoryLineWidthsWithExtra[1:], fillStyles=runHistoryFillStylesWithExtra[1:])
  canCosmic.SaveAs(webDir + processingPlotName + ".png")

cosmicsPlots = []
numiPlots = []
calPlots = []
numiBluePlots = []
for file in os.listdir(webDir):
  if ".png" in file:
    if "cosmics" in file:
      cosmicsPlots.append(file)
    if "numi" in file and not "Blue" in file:
      numiPlots.append(file)
    if "cal" in file:
      calPlots.append(file)
    if "numiBlue" in file:
      numiBluePlots.append(file)
      
cosmicsPlots.sort()
numiPlots.sort()
calPlots.sort()
numiBluePlots.sort()
timeStrs = open(webDir + "times.txt", 'r').readlines()
historyPage = open(webDir + "history.html", 'w')
historyPage.write(html.preventCaching())
thumbSize = "400"
endl = '\n'

for i in range(0,len(timeStrs)):
  historyPage.write(html.heading2(timeStrs[i].strip())) 
  historyPage.write('<table border=0  class="fixed" cellpadding="20">')#     <col width="600px" />' <col width="' + thumbSize + 'px" />  + endl)
  files = OrderedDict()
  files["Cosmics"] = cosmicsPlots[i]
  files["NuMI"] = numiPlots[i]
  files["Calibration"] = calPlots[i]
  files["NuMI -  Bluearc"] = numiBluePlots[i]

  historyPage.write("<tr>") #opens table row 
      
  for key in files.keys():    
    historyPage.write('<td> <center>'+  html.heading3(key) + html.link('<img src="' + files[key] +  '" width=' + thumbSize + 'px style="border-style: none"/ >', files[key]) + '</center></td>' ) #opens table entry 

  historyPage.write("</tr>") #closes table row 
  
  historyPage.write("</table>" + endl)        


historyPage.close()


