
set( novasoft_VERSION 00.00.01 )
set( novasoft_UPS_VERSION v00_00_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
  find_ups_product( novaddt v02_02_01 )
  find_ups_product( novadaq v03_00_01 )
  find_ups_product( nutools v1_05_01 )
  find_ups_product( art v1_11_00 )
  find_ups_product( cppunit v1_12_1a )
  find_ups_product( gccxml v0_9_20140718 )
  find_ups_product( clhep v2_2_0_3 )
  find_ups_product( cetpkgsupport v1_07_00 )
  find_ups_product( cetlib v1_07_00 )
  find_ups_product( cpp0x v1_03_02 )
  find_ups_boost( v1_50_0 )
  find_ups_product( fhiclcpp v3_00_00 )
  find_ups_product( sqlite v3_07_15_00 )
  find_ups_product( messagefacility v1_11_12 )
  find_ups_root( v5_34_20 )
  find_ups_product( tbb v4_1 )
  find_ups_product( genie v2_8_0 )
  find_ups_product( ifdh_art v1_5_0 )
  find_ups_product( ifdhc v1_4_0 )
  find_ups_product( ifbeam v1_4_0 )
  find_ups_product( nucondb v1_4_0 )
  find_ups_product( libwda v2_9_0 )
  find_ups_product( xerces_c v3_1_1b )


## find_library directives
    if( NOT CETLIB )
      cet_find_library( CETLIB NAMES cetlib PATHS ENV CETLIB_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FHICLCPP )
      cet_find_library( FHICLCPP NAMES fhiclcpp PATHS ENV FHICLCPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_EXTMODULES )
      cet_find_library( MF_EXTMODULES NAMES MF_ExtModules PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_MESSAGELOGGER )
      cet_find_library( MF_MESSAGELOGGER NAMES MF_MessageLogger PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_UTILITIES )
      cet_find_library( MF_UTILITIES NAMES MF_Utilities PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_VERSION )
      cet_find_library( ART_VERSION NAMES art_Version PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_UTILITIES )
      cet_find_library( ART_UTILITIES NAMES art_Utilities PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_ART )
      cet_find_library( ART_FRAMEWORK_ART NAMES art_Framework_Art PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_CORE )
      cet_find_library( ART_FRAMEWORK_CORE NAMES art_Framework_Core PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_EVENTPROCESSOR )
      cet_find_library( ART_FRAMEWORK_EVENTPROCESSOR NAMES art_Framework_EventProcessor PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO )
      cet_find_library( ART_FRAMEWORK_IO NAMES art_Framework_IO PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_CATALOG )
      cet_find_library( ART_FRAMEWORK_IO_CATALOG NAMES art_Framework_IO_Catalog PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_PRODUCTMIX )
      cet_find_library( ART_FRAMEWORK_IO_PRODUCTMIX NAMES art_Framework_IO_ProductMix PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_PRODUCTMIX_DICT )
      cet_find_library( ART_FRAMEWORK_IO_PRODUCTMIX_DICT NAMES art_Framework_IO_ProductMix_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOTVERSION )
      cet_find_library( ART_FRAMEWORK_IO_ROOTVERSION NAMES art_Framework_IO_RootVersion PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT )
      cet_find_library( ART_FRAMEWORK_IO_ROOT NAMES art_Framework_IO_Root PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE )
      cet_find_library( ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE NAMES art_Framework_IO_Root_RootInput_source PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE NAMES art_Framework_IO_Root_RootOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_SOURCES )
      cet_find_library( ART_FRAMEWORK_IO_SOURCES NAMES art_Framework_IO_Sources PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE NAMES art_Framework_Modules_BlockingPrescaler_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE )
      cet_find_library( ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE NAMES art_Framework_Modules_EmptyEvent_source PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE NAMES art_Framework_Modules_FileDumperOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_PRESCALER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_PRESCALER_MODULE NAMES art_Framework_Modules_Prescaler_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE NAMES art_Framework_Modules_ProvenanceCheckerOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE NAMES art_Framework_Modules_RandomNumberSaver_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_DICT )
      cet_find_library( ART_FRAMEWORK_MODULES_DICT NAMES art_Framework_Modules_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_PRINCIPAL )
      cet_find_library( ART_FRAMEWORK_PRINCIPAL NAMES art_Framework_Principal PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES )
      cet_find_library( ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES NAMES art_Framework_Services_FileServiceInterfaces PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL NAMES art_Framework_Services_Optional PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE NAMES art_Framework_Services_Optional_RandomNumberGenerator_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE NAMES art_Framework_Services_Optional_SimpleInteraction_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE NAMES art_Framework_Services_Optional_SimpleMemoryCheck_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE NAMES art_Framework_Services_Optional_TFileService_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE NAMES art_Framework_Services_Optional_Timing_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE NAMES art_Framework_Services_Optional_Tracer_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE NAMES art_Framework_Services_Optional_TrivialFileDelivery_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE NAMES art_Framework_Services_Optional_TrivialFileTransfer_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_REGISTRY )
      cet_find_library( ART_FRAMEWORK_SERVICES_REGISTRY NAMES art_Framework_Services_Registry PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE NAMES art_Framework_Services_System_CurrentModule_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE NAMES art_Framework_Services_System_FileCatalogMetadata_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE NAMES art_Framework_Services_System_FloatingPointControl_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE NAMES art_Framework_Services_System_PathSelection_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE NAMES art_Framework_Services_System_ScheduleContext_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE NAMES art_Framework_Services_System_TriggerNamesService_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_USERINTERACTION )
      cet_find_library( ART_FRAMEWORK_SERVICES_USERINTERACTION NAMES art_Framework_Services_UserInteraction PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_CLHEPDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_CLHEPDICTIONARIES_DICT NAMES art_Persistency_CLHEPDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_COMMON )
      cet_find_library( ART_PERSISTENCY_COMMON NAMES art_Persistency_Common PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_COMMON_DICT )
      cet_find_library( ART_PERSISTENCY_COMMON_DICT NAMES art_Persistency_Common_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_PROVENANCE )
      cet_find_library( ART_PERSISTENCY_PROVENANCE NAMES art_Persistency_Provenance PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_PROVENANCE_DICT )
      cet_find_library( ART_PERSISTENCY_PROVENANCE_DICT NAMES art_Persistency_Provenance_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_ROOTDB )
      cet_find_library( ART_PERSISTENCY_ROOTDB NAMES art_Persistency_RootDB PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_STDDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_STDDICTIONARIES_DICT NAMES art_Persistency_StdDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT NAMES art_Persistency_WrappedStdDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_CETLIBDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_CETLIBDICTIONARIES_DICT NAMES art_Persistency_CetlibDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_FHICLCPPDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_FHICLCPPDICTIONARIES_DICT NAMES art_Persistency_FhiclCppDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_NTUPLE )
      cet_find_library( ART_NTUPLE NAMES art_Ntuple PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION )
      cet_find_library( TEST_INTEGRATION NAMES test_Integration PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION_EVENT-SHAPE_DICT )
      cet_find_library( TEST_INTEGRATION_EVENT-SHAPE_DICT NAMES test_Integration_event-shape_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION_HIGH-MEMORY_DICT )
      cet_find_library( TEST_INTEGRATION_HIGH-MEMORY_DICT NAMES test_Integration_high-memory_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT XERCESC )
      cet_find_library( XERCESC NAMES xerces-c PATHS /data/build/nu-1.12.01/e6/debug/xerces_c/v3_1_1b/Linux64bit+2.6-2.12-e6-debug/lib NO_DEFAULT_PATH )
    endif()
    if( NOT G4FR )
      cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GMOCREN )
      cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4OPENGL )
      cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RAYTRACER )
      cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TREE )
      cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VRML )
      cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ANALYSIS )
      cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4DIGITS_HITS )
      cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ERROR_PROPAGATION )
      cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4EVENT )
      cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GEOMETRY )
      cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GL2PS )
      cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GLOBAL )
      cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GRAPHICS_REPS )
      cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERCOMS )
      cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERFACES )
      cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MATERIALS )
      cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MODELING )
      cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARMODELS )
      cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARTICLES )
      cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PERSISTENCY )
      cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PHYSICSLISTS )
      cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PROCESSES )
      cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4READOUT )
      cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RUN )
      cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACK )
      cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACKING )
      cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISHEPREP )
      cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISXXX )
      cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VIS_MANAGEMENT )
      cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ZLIB )
      cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHIA6 )
      cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
    endif()
    if( NOT LHAPDF )
      cet_find_library( LHAPDF NAMES LHAPDF PATHS /data/build/nu-1.12.01/e6/debug/lhapdf/v5_9_1a/Linux64bit+2.6-2.12-e6-debug/lib NO_DEFAULT_PATH )
    endif()
    if( NOT LOG4CPP )
      cet_find_library( LOG4CPP NAMES log4cpp PATHS /data/build/nu-1.12.01/e6/debug/log4cpp/v1_1_1a/Linux64bit+2.6-2.12-e6-debug/lib NO_DEFAULT_PATH )
    endif()
    if( NOT XML2 )
      cet_find_library( XML2 NAMES xml2 PATHS /data/build/nu-1.12.01/e6/debug/libxml2/v2_9_1a/Linux64bit+2.6-2.12-debug/lib NO_DEFAULT_PATH )
    endif()
    if( NOT CRY )
      cet_find_library( CRY NAMES CRY PATHS /data/build/nu-1.12.01/e6/debug/cry/v1_7b/Linux64bit+2.6-2.12-e6-debug/cry_v1.7/lib NO_DEFAULT_PATH )
    endif()
    if( NOT GALGORITHM )
      cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBARYONRESONANCE )
      cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBASE )
      cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBODEKYANG )
      cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCHARM )
      cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCOH )
      cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDFRC )
      cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDIS )
      cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCROSSSECTIONS )
      cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDECAY )
      cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELAS )
      cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELFF )
      cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHEP )
      cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGCORE )
      cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGMODULES )
      cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGDRIVERS )
      cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGIBUU )
      cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHADRONTRANSP )
      cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFRAGMENTATION )
      cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GINTERACTION )
      cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GLLEWELLYNSMITH )
      cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMEC )
      cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMESSENGER )
      cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUGAMMA )
      cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUE )
      cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNTUPLE )
      cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEAR )
      cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUMERICAL )
      cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQPM )
      cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDG )
      cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDF )
      cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQEL )
      cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GRES )
      cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREGISTRY )
      cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEGHAL )
      cet_find_library( GREINSEGHAL NAMES GReinSeghal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GUTILS )
      cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGEO )
      cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFLUXDRIVERS )
      cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMUELOSS )
      cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREWEIGHT )
      cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEONDECAY )
      cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT EVENTDISPLAYBASE )
      cet_find_library( EVENTDISPLAYBASE NAMES EventDisplayBase PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT EVENTDISPLAY_SERVICE )
      cet_find_library( EVENTDISPLAY_SERVICE NAMES EventDisplay_service PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SCANOPTIONS_SERVICE )
      cet_find_library( SCANOPTIONS_SERVICE NAMES ScanOptions_service PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT EVENTGENERATORBASECRY )
      cet_find_library( EVENTGENERATORBASECRY NAMES EventGeneratorBaseCRY PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT EVENTGENERATORBASEGENIE )
      cet_find_library( EVENTGENERATORBASEGENIE NAMES EventGeneratorBaseGENIE PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT EVENTGENERATORBASE_TEST_EVENTGENERATORTEST_MODULE )
      cet_find_library( EVENTGENERATORBASE_TEST_EVENTGENERATORTEST_MODULE NAMES EventGeneratorBase_test_EventGeneratorTest_module PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4BASE )
      cet_find_library( G4BASE NAMES G4Base PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MAGNETICFIELD_SERVICE )
      cet_find_library( MAGNETICFIELD_SERVICE NAMES MagneticField_service PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NUBEAMWEIGHTS )
      cet_find_library( NUBEAMWEIGHTS NAMES NuBeamWeights PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NUREWEIGHT )
      cet_find_library( NUREWEIGHT NAMES NuReweight PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NUREWEIGHTART )
      cet_find_library( NUREWEIGHTART NAMES NuReweightArt PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT REWEIGHTANA_MODULE )
      cet_find_library( REWEIGHTANA_MODULE NAMES ReweightAna_module PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SIMULATIONBASE )
      cet_find_library( SIMULATIONBASE NAMES SimulationBase PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SIMULATIONBASE_DICT )
      cet_find_library( SIMULATIONBASE_DICT NAMES SimulationBase_dict PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFDH )
      cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFBEAM )
      cet_find_library( IFBEAM NAMES ifbeam PATHS ENV IFBEAM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NUCONDB )
      cet_find_library( NUCONDB NAMES nucondb PATHS ENV NUCONDB_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT WDA )
      cet_find_library( WDA NAMES wda PATHS ENV LIBWDA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFDH_SERVICE )
      cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFBEAM_SERVICE )
      cet_find_library( IFBEAM_SERVICE NAMES IFBeam_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NUCONDB_SERVICE )
      cet_find_library( NUCONDB_SERVICE NAMES nucondb_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFFILETRANSFER_SERVICE )
      cet_find_library( IFFILETRANSFER_SERVICE NAMES IFFileTransfer_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFCATALOGINTERFACE_SERVICE )
      cet_find_library( IFCATALOGINTERFACE_SERVICE NAMES IFCatalogInterface_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
    endif()
    cet_find_library( AIRTREE_MODULE NAMES AirTree_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( AIRSHOWER_MODULE NAMES AirShower_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( AIRKALMANANA_MODULE NAMES AirKalmanAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( AIRFILTER_MODULE NAMES AirFilter_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ALIGNMENT_MODULE NAMES Alignment_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ALIGNINSPECT_MODULE NAMES AlignInspect_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SPLITTRACKS_MODULE NAMES SplitTracks_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( BNBINFO_MODULE NAMES BNBInfo_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( BREAKPOINT_MODULE NAMES BreakPoint_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( BPFITTER_MODULE NAMES BPFitter_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( BREAKPOINTFITTERFUNC NAMES BreakPointFitterFunc PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( BREMSHOWERFILTER_MODULE NAMES BremShowerFilter_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CAFMAKER NAMES CAFMaker PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CAFMAKER_MODULE NAMES CAFMaker_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CAFREWEIGHT NAMES CAFReweight PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CAFANA NAMES CAFAna PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CALHITANA_MODULE NAMES CalHitAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CALHIT_MODULE NAMES CalHit_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CALIBRATIONUTILS NAMES CalibrationUtils PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RESIZEDETECTOR_MODULE NAMES ResizeDetector_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TIMINGCALIBRATION_MODULE NAMES TimingCalibration_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( BETHEBLOCHFIT_MODULE NAMES BetheBlochFit_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MPI0_MODULE NAMES Mpi0_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( FINDOUTLIERS_MODULE NAMES FindOutliers_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MUONDEDX_MODULE NAMES MuondEdx_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( PCHITSLIST_MODULE NAMES PCHitsList_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( FIBERCALIBRATION_MODULE NAMES FiberCalibration_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ABSCALIB_MODULE NAMES AbsCalib_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( STOPPERSELECTION_MODULE NAMES StopperSelection_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SUMRUNSCALIB_MODULE NAMES SumRunsCalib_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DRIFTRESPONSECALC_MODULE NAMES DriftResponseCalc_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TIMINGCALFILTER_MODULE NAMES TimingCalFilter_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( PARTICLECORRECTIONS_MODULE NAMES ParticleCorrections_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COSMICTRENDS_MODULE NAMES CosmicTrends_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SINGLEPARTICLE_MODULE NAMES SingleParticle_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COSMICCALIB_MODULE NAMES CosmicCalib_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( THROUGHGOINGSELECTION_MODULE NAMES ThroughgoingSelection_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ATTENFIT_MODULE NAMES AttenFit_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DCMTIMINGOFFSET_MODULE NAMES DCMTimingOffset_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ASSESSCALIB_MODULE NAMES AssessCalib_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DRIFTCORRECTION_MODULE NAMES DriftCorrection_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( HITEFFICIENCY_MODULE NAMES HitEfficiency_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( THRESHOLDANA_MODULE NAMES ThresholdAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TESTPARTICLECORRECTIONS_MODULE NAMES TestParticleCorrections_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SUMSUBRUNSCALIB_MODULE NAMES SumSubrunsCalib_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( PERESPONSE_MODULE NAMES PEResponse_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CDPSTORAGE_SERVICE NAMES CDPStorage_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CALIBRATIONFUNC NAMES CalibrationFunc PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CALIBRATIONDATAPRODUCTS NAMES CalibrationDataProducts PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CALIBRATIONDATAPRODUCTS_DICT NAMES CalibrationDataProducts_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CALIBRATOR_SERVICE NAMES Calibrator_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CALIBRATORFUNC NAMES CalibratorFunc PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CELLTOCELL NAMES CellToCell PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CELLTOCELL_MODULE NAMES CellToCell_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CELLTOCELL_DICT NAMES CellToCell_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( BADCHANLIST_SERVICE NAMES BadChanList_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COSMICEFF_MODULE NAMES CosmicEff_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CMAP_SERVICE NAMES CMap_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COMMISSIONING NAMES Commissioning PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CANA_MODULE NAMES Cana_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COSMICMETRICS_MODULE NAMES CosmicMetrics_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CANAFILTER_MODULE NAMES CanaFilter_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( FEBFLASH_MODULE NAMES FEBFlash_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NEARLINEANA_MODULE NAMES NearlineAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( APDWATCH_MODULE NAMES APDWatch_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CHANOCC_MODULE NAMES ChanOcc_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( HARDWARESTATUSCHECK_MODULE NAMES HardwareStatusCheck_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DATACHECK_MODULE NAMES DataCheck_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( LEANA_MODULE NAMES Leana_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COMMISSIONING_DICT NAMES Commissioning_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COSMICEXPOSUREINFO_MODULE NAMES CosmicExposureInfo_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COSREJ NAMES CosRej PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MAKENUECOSREJ_MODULE NAMES MakeNueCosRej_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COSREJ_MODULE NAMES CosRej_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COSREJ_DICT NAMES CosRej_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DAQ2RAWDIGIT NAMES DAQ2RawDigit PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVARAWINPUTSOURCE_SOURCE NAMES NOvARawInputSource_source PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVASOCKETINPUT_SOURCE NAMES NOvASocketInput_source PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DATABASE NAMES Database PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DAQHIT2RAW_MODULE NAMES DAQHit2Raw_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RAWDIGIT2DAQHIT_MODULE NAMES RawDigit2DAQHit_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( HITSANA_MODULE NAMES HitsAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DEMOMODULE_MODULE NAMES DemoModule_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TUTPRODUCER_MODULE NAMES TutProducer_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TUTFILTER_MODULE NAMES TutFilter_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TUTANALYZER_MODULE NAMES TutAnalyzer_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DETECTORPERFORMANCE NAMES DetectorPerformance PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TRACKPLOTS_MODULE NAMES TrackPlots_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CHANNELPLOTS_MODULE NAMES ChannelPlots_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DISCRETETRACKER NAMES DiscreteTracker PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( VIEWMERGER_MODULE NAMES ViewMerger_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DISCRETETRACKER_MODULE NAMES DiscreteTracker_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ELASTICARMSART NAMES ElasticArmsArt PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ELASTICARMSVALIDATE_MODULE NAMES ElasticArmsValidate_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ELASTICARMSHS_MODULE NAMES ElasticArmsHS_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ELASTICARMSFUNC NAMES ElasticArmsFunc PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SUPERDDTEVA_MODULE NAMES SuperDDTEva_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TRACKEVA_MODULE NAMES TrackEva_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SMMADC_MODULE NAMES SMMADC_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( UPMUANA_MODULE NAMES UpMuAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTEVA_MODULE NAMES DDTEva_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLICEREVA_MODULE NAMES SlicerEva_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SMMEFF_MODULE NAMES SMMEff_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CLUSTEREVA_MODULE NAMES ClusterEva_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( HITEVA_MODULE NAMES HitEva_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DATASLICEEVA_MODULE NAMES DataSliceEva_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( GEOMETRYDRAWINGOPTIONS_SERVICE NAMES GeometryDrawingOptions_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( PLOTDRAWINGOPTIONS_SERVICE NAMES PlotDrawingOptions_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECODRAWINGOPTIONS_SERVICE NAMES RecoDrawingOptions_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RAWDRAWINGOPTIONS_SERVICE NAMES RawDrawingOptions_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SIMULATIONDRAWINGOPTIONS_SERVICE NAMES SimulationDrawingOptions_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLICENAVIGATOR_SERVICE NAMES SliceNavigator_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( EVD_MODULE NAMES EVD_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( EVENTDISPLAY NAMES EventDisplay PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVAMCEMPTYEVENT_SOURCE NAMES NovaMCEmptyEvent_source PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( OCCUPIEDSPILLFILTER_MODULE NAMES OccupiedSpillFilter_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SINGLEGEN_MODULE NAMES SingleGen_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SUPERNOVAGEN_MODULE NAMES SupernovaGen_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TEXTFILEGEN_MODULE NAMES TextFileGen_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ISOGEN_MODULE NAMES IsoGen_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COSMICSGEN_MODULE NAMES CosmicsGen_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COSMICPIONGEN_MODULE NAMES CosmicPionGen_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( EVENTGENERATORGENIE NAMES EventGeneratorGENIE PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MAKEGENIEREWEIGHTTABLE_MODULE NAMES MakeGENIEReweightTable_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( GENIEROCKGEN_MODULE NAMES GENIERockGen_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( GENIEGEN_MODULE NAMES GENIEGen_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( EVENTSUMMARY_MODULE NAMES EventSummary_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SKIPNEVENTS_MODULE NAMES SkipNEvents_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TRUTHFILTER_MODULE NAMES TruthFilter_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CAFFILTER_MODULE NAMES CAFFilter_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( FILTER_MODULE NAMES Filter_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( FUZZYKVERTEX NAMES FuzzyKVertex PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( FUZZYKVALIDATE_MODULE NAMES FuzzyKValidate_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( FUZZYKVERTEX_MODULE NAMES FuzzyKVertex_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( G4NOVA NAMES g4nova PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TRUTHSLIM_MODULE NAMES TruthSlim_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( G4GEN_MODULE NAMES G4Gen_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( GEOMETRY_SERVICE NAMES Geometry_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( LIVEGEOMETRY_SERVICE NAMES LiveGeometry_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( GEOMETRYTEST_MODULE NAMES GeometryTest_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COORDINATETRANSFORMATIONTEST_MODULE NAMES CoordinateTransformationTest_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( GEOMETRYOBJECTS NAMES GeometryObjects PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( GEOMETRYOBJECTS_DICT NAMES GeometryObjects_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( HMATRIXE NAMES HMatrixE PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( HMATRIXUSER_MODULE NAMES HMatrixUser_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( HMATRIX_MODULE NAMES HMatrix_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MAKEHM_MODULE NAMES MakeHM_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( HMATRIXE_DICT NAMES HMatrixE_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( HOUGHTRANSFORM NAMES HoughTransform PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( HOUGHT_MODULE NAMES HoughT_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MULTIHOUGHT_MODULE NAMES MultiHoughT_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( HOUGHVALIDATE_MODULE NAMES HoughValidate_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( HOUGHTRANSFORM_DICT NAMES HoughTransform_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( IFDBSPILLINFO NAMES IFDBSpillInfo PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( IFDBSPILLINFO_MODULE NAMES IFDBSpillInfo_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( LEMFUNC NAMES LEMFunc PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( LEM NAMES LEM PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ALIGNLIBTOVTX_MODULE NAMES AlignLibToVtx_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( APPLYFILTER_MODULE NAMES ApplyFilter_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( LEMSUMMARIZER_MODULE NAMES LEMSummarizer_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MERGEMATCHES_MODULE NAMES MergeMatches_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( UNTRANSPOSE_MODULE NAMES UnTranspose_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( FINDLEMMATCHES_MODULE NAMES FindLEMMatches_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( FINDMATCHESTRANSPOSE_MODULE NAMES FindMatchesTranspose_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( PRESELECTION_MODULE NAMES Preselection_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( BACKGROUNDENRICHER_MODULE NAMES BackgroundEnricher_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MAKELIBRARY_MODULE NAMES MakeLibrary_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( LEMASSOCIATOR_MODULE NAMES LEMAssociator_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MAKEPID_MODULE NAMES MakePID_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( LEM_MODULE NAMES LEM_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( LEMMIXER_MODULE NAMES LEMMixer_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( LEM_DICT NAMES LEM_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( GENFROMLIB_SOURCE NAMES GenFromLib_source PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( LIDBUILDER NAMES LIDBuilder PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( LIDTRAINING_MODULE NAMES LIDTraining_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( LIDBUILDER_MODULE NAMES LIDBuilder_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( LIDBUILDER_DICT NAMES LIDBuilder_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MCCHEATER NAMES MCCheater PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SHOWERCHEATER_MODULE NAMES ShowerCheater_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TESTTRACKIDS_MODULE NAMES TestTrackIds_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CLUSTERCHEATER_MODULE NAMES ClusterCheater_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MCCHEATER_MODULE NAMES MCCheater_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TRACKCHEATER_MODULE NAMES TrackCheater_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECOCHECKANA_MODULE NAMES RecoCheckAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( PRONGCHEATER_MODULE NAMES ProngCheater_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CHECKBACKTRACKING_MODULE NAMES CheckBackTracking_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( BACKTRACKER_SERVICE NAMES BackTracker_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MCCHEATER_DICT NAMES MCCheater_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NULLANA_MODULE NAMES NullAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DETANA_MODULE NAMES DetAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COSMICANA_MODULE NAMES CosmicAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SUPERNOVAANA_MODULE NAMES SupernovaAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DETSIMANA_MODULE NAMES DetSimAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TRUTHEXPAND_MODULE NAMES TruthExpand_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MONOPOLEANA_MODULE NAMES MonopoleAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( CLOSEINTIME_MODULE NAMES CloseInTime_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ROCKANA_MODULE NAMES RockAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( LEPTONANA_MODULE NAMES LeptonAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( POTANA_MODULE NAMES POTAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NEUTRINOANA_MODULE NAMES NeutrinoAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SHOWERANACHECK_MODULE NAMES ShowerAnaCheck_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( METADATA NAMES Metadata PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( METADATA_MODULE NAMES Metadata_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MICHELEFILTER NAMES MichelEFilter PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MICHELEANA_MODULE NAMES MichelEAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLICEMEF_MODULE NAMES SliceMEF_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MICHELEFILTER_MODULE NAMES MichelEFilter_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MICHELEFILTER_DICT NAMES MichelEFilter_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MOCKDATADAQ NAMES MockDataDAQ PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MOCKDATADAQANA_MODULE NAMES MockDataDAQAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MONOPOLE NAMES Monopole PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLOWMONOPOLEFILT_MODULE NAMES SlowMonopoleFilt_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLOWMONOPOLEANA_MODULE NAMES SlowMonopoleAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MUONREMOVEART NAMES MuonRemoveart PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MERGETRUTH_MODULE NAMES MergeTruth_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( FINDPARENT_MODULE NAMES FindParent_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MUONREMOVE_MODULE NAMES MuonRemove_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MERGEDIGITS_MODULE NAMES MergeDigits_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MUONREMOVEANA_MODULE NAMES MuonRemoveAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MUONREMOVE_ART_DICT NAMES MuonRemove_art_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MRE_MODULE NAMES MRE_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MRCCSYSTEMATICS_MODULE NAMES MRCCSystematics_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( XBEAM_MODULE NAMES Xbeam_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SKIM_MODULE NAMES Skim_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RVPVAL_MODULE NAMES RVPVal_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NCANA_MODULE NAMES NCAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SINGLE_MODULE NAMES Single_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( DUMPMC_MODULE NAMES DumpMC_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MERGEGENCOLLECTIONS_MODULE NAMES MergeGenCollections_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MERGEG4COLLECTIONS_MODULE NAMES MergeG4Collections_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MIXSIMEVENTS_MODULE NAMES MixSimEvents_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MERGECOLLECTIONS_MODULE NAMES MergeCollections_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( FILLNUESANDBOX_MODULE NAMES FillNueSandbox_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUESANDBOX_DICT NAMES NueSandbox_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUMUBDTSELECTOR NAMES NuMuBDTSelector PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUMUBDTSELECTORTRAIN_MODULE NAMES NuMuBDTSelectorTrain_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUMUBDTSELECTOR_MODULE NAMES NuMuBDTSelector_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUMUBDTSELECTOR_DICT NAMES NuMuBDTSelector_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUMUENERGY NAMES NumuEnergy PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUMUENERGY_MODULE NAMES NumuEnergy_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUMUEANA_MODULE NAMES NumuEAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUMUENERGY_DICT NAMES NumuEnergy_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUMUSANDBOX NAMES NumuSandbox PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( FILLSANDBOX_MODULE NAMES FillSandbox_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUMUSANDBOX_DICT NAMES NumuSandbox_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ONLINEMONITORINGANA NAMES OnlineMonitoringAna PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ONLINEMONITORINGPRODUCER NAMES OnlineMonitoringProducer PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ONMONPROD_MODULE NAMES OnMonProd_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ONLINEMONITORINGUTIL NAMES OnlineMonitoringUtil PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( ONLINEMONITORINGVIEWER NAMES OnlineMonitoringViewer PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( OSCLIBFUNC NAMES OscLibFunc PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( OSCCALCGENSERVICE_SERVICE NAMES OscCalcGenService_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( OSCCALCPMNSSERVICE_SERVICE NAMES OscCalcPMNSService_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( OSCCALCSERVICE_SERVICE NAMES OscCalcService_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( OSCCALCPMNSOPTSERVICE_SERVICE NAMES OscCalcPMNSOptService_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( IMPROVEDTRANSPORT_MODULE NAMES ImprovedTransport_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( PHOTONTRANSPORT_MODULE NAMES PhotonTransport_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( PRESELECTION NAMES Preselection PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( PRESELECTION_COSMICVETO_MODULE NAMES Preselection_CosmicVeto_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( PRESELECTION_NUEPRESEL_MODULE NAMES Preselection_NuePresel_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( PRESELECTION_NUMIFILTERINGANA_MODULE NAMES Preselection_NumiFilteringAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( PRESELECTION_NUMIFILTERING_MODULE NAMES Preselection_NumiFiltering_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( PRESELECTION_DICT NAMES Preselection_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( QEEVENTFINDER NAMES QEEventFinder PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( QEFINDER_MODULE NAMES QeFinder_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( QEFINDERVAL_MODULE NAMES QeFinderVal_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( QEEVENTFINDER_DICT NAMES QEEventFinder_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RAWDATA NAMES RawData PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RAWDATA_DICT NAMES RawData_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( READOUTSIM NAMES ReadoutSim PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MAKENOISESPECTRUMFILE_MODULE NAMES MakeNoiseSpectrumFile_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECORDNOISESPECTRUMFILE_MODULE NAMES RecordNoiseSpectrumFile_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( READOUTSIM_MODULE NAMES ReadoutSim_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECOBASE NAMES RecoBase PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECOBASE_DICT NAMES RecoBase_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECOBASEHIT NAMES RecoBaseHit PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECOJMSHOWER NAMES RecoJMShower PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECOJMSHOWERANA_MODULE NAMES RecoJMShowerAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( JMCLUSTERMERGE_MODULE NAMES JMClusterMerge_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUESEL_MODULE NAMES NueSel_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECOJMSHOWER_MODULE NAMES RecoJMShower_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( JMTRACKMERGE_MODULE NAMES JMTrackMerge_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECOJMSHOWERFILTER_MODULE NAMES RecoJMShowerFilter_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUESELLID_MODULE NAMES NueSelLID_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECOJMSHOWER_DICT NAMES RecoJMShower_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECVARPID NAMES RecVarPID PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECVARPID_MODULE NAMES RecVarPID_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECVARPID_DICT NAMES RecVarPID_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( REMID NAMES ReMId PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECOMUON_MODULE NAMES RecoMuon_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( REMIDTRAIN_MODULE NAMES ReMIdTrain_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( REMIDVALIDATE_MODULE NAMES ReMIdValidate_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( REMID_DICT NAMES ReMId_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RUNHISTORY NAMES RunHistory PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RUNHISTORY_SERVICE NAMES RunHistory_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( BADDATAFILTER_MODULE NAMES BadDataFilter_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SHOWERANA_MODULE NAMES ShowerAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SHOWERLID NAMES ShowerLID PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RECLUSTER_MODULE NAMES Recluster_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SHOWERLIDANA_MODULE NAMES ShowerLIDAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SIMULATION NAMES Simulation PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SIMULATION_DICT NAMES Simulation_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLICER NAMES Slicer PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( S4DPARAMCALC_MODULE NAMES S4DParamCalc_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLICERANA_MODULE NAMES SlicerAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TRUTHSLICER_MODULE NAMES TruthSlicer_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLICER4D_MODULE NAMES Slicer4D_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( IDENTICALSLICERANA_MODULE NAMES IdenticalSlicerAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLICER_MODULE NAMES Slicer_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLICER_DICT NAMES Slicer_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( STANDARDRECORD NAMES StandardRecord PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SUMMARYDATA NAMES SummaryData PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( SUMMARYDATA_DICT NAMES SummaryData_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TIMINGFIT NAMES TimingFit PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TIMINGFIT_MODULE NAMES TimingFit_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TIMINGFIT_DICT NAMES TimingFit_dict PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TRACKFIT NAMES TrackFit PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( KALMANTRACK_MODULE NAMES KalmanTrack_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COSMICTRACK_MODULE NAMES CosmicTrack_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( KALMANTRACKMERGE_MODULE NAMES KalmanTrackMerge_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( KALMANTRACKANA_MODULE NAMES KalmanTrackAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( COSMICTRACKANA_MODULE NAMES CosmicTrackAna_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( TRKASSN_MODULE NAMES TrkAssn_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( UTILITIES NAMES Utilities PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( REMOVEBEAMSPILLS_MODULE NAMES RemoveBeamSpills_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( REMOVEBEAMSPILLSPRECISE_MODULE NAMES RemoveBeamSpillsPrecise_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( RUNEVENTFILTER_MODULE NAMES RunEventFilter_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( MERGESUBRUNS_MODULE NAMES MergeSubruns_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( HOUGHCALC_SERVICE NAMES HoughCalc_service PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( UTILITIESFUNC NAMES UtilitiesFunc PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( VALIDATEDAQ2RAWDIGIT_MODULE NAMES ValidateDAQ2RawDigit_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( VALIDATECHANNELINFO_MODULE NAMES ValidateChannelInfo_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( VERTEXFINDER NAMES VertexFinder PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( VERTEXEVA_MODULE NAMES VertexEva_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )
    cet_find_library( VERTEXFINDER_MODULE NAMES VertexFinder_module PATHS ENV NOVASOFT_LIB NO_DEFAULT_PATH )

check_required_components(novasoft)
