#pragma once

#include "CAFAna/Cut.h"

#include <string>

namespace ana
{
  /// \brief Make a file listing all the events passing the specified cut
  ///
  /// \param wildcard Filename or wildcard to use for input
  /// \param cut      The cut events must pass
  /// \param output   The filename for the output.
  ///                 Format is space-seperated run, subrun, event.
  /// \param includeSliceIndex Add a fourth column for the slice index
  void MakeEventListFile(const std::string& wildcard,
                         const Cut& cut,
                         const std::string& output,
                         bool includeSliceIndex = false);
}
