#pragma once

#include <vector>

class TTree;

namespace ana
{
  class FCPoint;

  /// \brief A collection of Feldman-Cousins experiments at the same
  /// oscillation parameters
  class FCBin
  {
  public:
    void Add(const FCPoint& pt);

    double UpValueForSignificance(double sig);

    void Draw() const;

    bool Empty() const {return fVals.empty();}

    static void InitToTree(TTree* tr);
    void ToTree(TTree* tr) const;

    static void InitFromTree(TTree* tr);
    static FCBin FromTree(TTree* tr, int idx);
  protected:
    std::vector<float> fVals;
  };
}
