#pragma once

#include "CAFAna/FCPoint.h"

#include <memory>
#include <string>
#include <vector>

namespace ana
{
  /// Collection of \ref FCPoint. Serializable to/from a file
  class FCCollection
  {
  public:
    FCCollection();

    void AddPoint(const FCPoint& p){fPts.push_back(p);}

    /// \param wildcard Wildcard or single file name
    void AddFiles(const std::string& wildcard);

    void SaveToFile(const std::string& fname) const;
    /// \param wildcard Wildcard or single file name
    static std::unique_ptr<FCCollection> LoadFromFile(const std::string& wildcard);

    unsigned int NPoints() const {return fPts.size();}
    const FCPoint& Point(int n) const {return fPts[n];}
  protected:
    std::vector<FCPoint> fPts;
  };
}
