#include "CAFAna/FCPoint.h"

#include "TTree.h"

// Anonymous namespace, no-one else needs to see these
namespace{
  // Globals for tree
  double gTrueX, gTrueY, gTrueChi;
  double gBestX, gBestY, gBestChi;
  unsigned int gSeed;
}

namespace ana
{
  //----------------------------------------------------------------------
  void FCPoint::InitToTree(TTree* tr)
  {
    tr->Branch("truex", &gTrueX);
    tr->Branch("truey", &gTrueY);
    tr->Branch("truechi", &gTrueChi);

    tr->Branch("bestx", &gBestX);
    tr->Branch("besty", &gBestY);
    tr->Branch("bestchi", &gBestChi);

    tr->Branch("seed", &gSeed);
  }

  //----------------------------------------------------------------------
  void FCPoint::ToTree(TTree* tr) const
  {
    gTrueX = fTrueX;
    gTrueY = fTrueY;
    gTrueChi = fTrueChi;

    gBestX = fBestX;
    gBestY = fBestY;
    gBestChi = fBestChi;

    gSeed = fSeed;

    tr->Fill();
  }

  //----------------------------------------------------------------------
  void FCPoint::InitFromTree(TTree* tr)
  {
    tr->SetBranchAddress("truex", &gTrueX);
    tr->SetBranchAddress("truey", &gTrueY);
    tr->SetBranchAddress("truechi", &gTrueChi);

    tr->SetBranchAddress("bestx", &gBestX);
    tr->SetBranchAddress("besty", &gBestY);
    tr->SetBranchAddress("bestchi", &gBestChi);

    tr->SetBranchAddress("seed", &gSeed);
  }

  //----------------------------------------------------------------------
  FCPoint FCPoint::FromTree(TTree* tr, int idx)
  {
    tr->GetEntry(idx);

    return FCPoint(gTrueX, gTrueY, gTrueChi, gBestX, gBestY, gBestChi, gSeed);
  }
}
