#pragma once

#include "CAFAna/FCBin.h"
#include "CAFAna/FCCollection.h"

#include <vector>

class TH2;
class TH2F;

namespace ana
{
  /// Pseudo-experiments, binned to match a log-likelihood surface
  class FCSurface
  {
  public:
    FCSurface(int nbinsx, double xmin, double xmax,
              int nbinsy, double ymin, double ymax);
    ~FCSurface();

    void Add(const FCPoint& pt);
    void Add(const FCCollection& coln);

    TH2* SurfaceForSignificance(double sig);

    void DrawBins();

    const FCBin* GetBin(int x, int y) const;

    const TH2F* Binning() const {return fBinning;}

    void SaveToFile(const std::string& fname) const;
    static std::unique_ptr<FCSurface> LoadFromFile(const std::string& fname);
  protected:
    FCSurface(){}

    TH2F* fBinning;
    std::vector<FCBin> fBins;
  };
}
