#include "Messenger/Messenger.h"

#include <fcntl.h>
#include <unistd.h>

namespace
{
  /// Global configuration for GENIE message service within CAFAna
  struct GenieMessageConfigurer
  {
    GenieMessageConfigurer()
    {
      fflush(stdout);
      int bak = dup(1);
      int nul = open("/dev/null", O_WRONLY);
      dup2(nul, 1);
      close(nul);

      // First creation of the Messenger prints the banner
      genie::Messenger::Instance();

      fflush(stdout);
      dup2(bak, 1);
      close(bak);

      // Don't need to see every tiny thing these modules are thinking...
      genie::Messenger::Instance()->SetPriorityLevel("PDG",
                                                     log4cpp::Priority::WARN);
      genie::Messenger::Instance()->SetPriorityLevel("ReW",
                                                     log4cpp::Priority::WARN);
    }
  };

  static GenieMessageConfigurer config;
}
