#pragma once

#include "CAFAna/Experiment.h"

#include <memory>
#include <vector>

namespace ana
{
  /// Combine multiple component experiments
  class MultiExperiment: public Experiment
  {
  public:
    MultiExperiment(std::vector<const Experiment*> expts = std::vector<const Experiment*>()) : fExpts(expts) {}
    void Add(const Experiment* expt){fExpts.push_back(expt);}

    virtual double ChiSq(osc::IOscCalculatorAdjustable* osc,
                         const SystShifts& syst = SystShifts::Nominal()) const override;

    virtual void SaveTo(TDirectory* dir) const;
    static std::unique_ptr<MultiExperiment> LoadFrom(TDirectory* dir);
  protected:
    std::vector<const Experiment*> fExpts;
  };
}
