#include "CAFAna/PredictionNoExtrap.h"

#include "CAFAna/Loaders.h"
#include "CAFAna/TrivialExtrap.h"

namespace ana
{
  //----------------------------------------------------------------------
  PredictionNoExtrap::PredictionNoExtrap(Loaders& loaders,
                                         std::string label,
                                         const Binning& bins,
                                         const Var& var,
                                         const Cut& cut,
                                         const Var& wei)
    : PredictionNoExtrap(loaders, HistAxis(label, bins, var), cut, wei)
  {
  }

  //----------------------------------------------------------------------
  PredictionNoExtrap::PredictionNoExtrap(Loaders& loaders,
                                         const HistAxis& axis,
                                         const Cut& cut,
                                         const Var& wei)
    : PredictionExtrap(new TrivialExtrap(loaders, axis, cut, wei),
                       loaders.GetLoader(caf::kFARDET, Loaders::kMC, ana::kCosmic),
                       axis, cut, wei)
  {
  }

  //----------------------------------------------------------------------
  PredictionNoExtrap::PredictionNoExtrap(SpectrumLoaderBase& loader,
                                         SpectrumLoaderBase& loaderSwap,
                                         SpectrumLoaderBase& loaderCosmic,
                                         std::string label,
                                         const Binning& bins,
                                         const Var& var,
                                         const Cut& cut,
                                         const Var& wei)
    : PredictionExtrap(new TrivialExtrap(loader, loaderSwap,
                                         label, bins, var, cut, wei),
                       loaderCosmic, label, bins, var, cut, wei)
  {
  }

  //----------------------------------------------------------------------
  PredictionNoExtrap::~PredictionNoExtrap()
  {
    // We created this in the constructor so it's our responsibility
    delete fExtrap;
  }
}
