#include "CAFAna/PredictionExtrap.h"

namespace ana
{
  class Loaders;

  /// Prediction that just uses FD MC, with no extrapolation
  class PredictionNoExtrap: public PredictionExtrap
  {
  public:
    PredictionNoExtrap(Loaders& loaders,
                       std::string label,
                       const Binning& bins,
                       const Var& var,
                       const Cut& cut = kNoCut,
                       const Var& wei = kUnweighted);

    PredictionNoExtrap(Loaders& loaders,
                       const HistAxis& axis,
                       const Cut& cut = kNoCut,
                       const Var& wei = kUnweighted);

    PredictionNoExtrap(SpectrumLoaderBase& loader,
                       SpectrumLoaderBase& loaderSwap,
                       SpectrumLoaderBase& loaderCosmic,
                       std::string label,
                       const Binning& bins,
                       const Var& var,
                       const Cut& cut = kNoCut,
                       const Var& wei = kUnweighted);

    virtual ~PredictionNoExtrap();
  };
}
