#pragma once

#include "CAFAna/Experiment.h"
#include "CAFAna/Prediction.h"
#include "CAFAna/Spectrum.h"

namespace ana
{
  /// Compare a single data spectrum to the MC expectation
  class SingleSampleExperiment: public Experiment
  {
  public:
    SingleSampleExperiment(const IPrediction* p, const Spectrum& d) : fMC(p), fData(d) {}
    virtual double ChiSq(osc::IOscCalculatorAdjustable* osc,
                         const SystShifts& syst = SystShifts::Nominal()) const;

    virtual void SaveTo(TDirectory* dir) const;
    static std::unique_ptr<SingleSampleExperiment> LoadFrom(TDirectory* dir);
  protected:
    const IPrediction* fMC;
    Spectrum fData;
  };
}
