#pragma once

#include "CAFAna/Systs.h"

#include <map>
#include <string>

namespace ana
{
  /// For output to screen and filenames
  std::string ShortName(Syst s);
  /// For plots
  std::string LatexName(Syst s);

  /// Simple record of shifts applied to systematic parameters
  class SystShifts
  {
  public:
    SystShifts();
    static SystShifts Nominal(){return SystShifts();}

    /// Shifts are 0=nominal, -1,+1 = 1 sigma shifts
    void SetShift(Syst syst, double shift);
    double GetShift(Syst syst) const;
    void ResetToNominal();

    /// Penalty term for chi-squared fits
    double Penalty() const;
  protected:
    std::map<Syst, double > fShifts;
  };
}
