void load_libs()
{
  // CAFReweight pulls in Genie which pulls in ROOT geometry
  gSystem->Load("libGeom.so");
  gSystem->Load("libTree.so");
  gSystem->Load("libMinuit2.so");

  // Magic incantation to get Reflex-based dictionaries converted into the
  // CINT-based information that ROOT needs
  gSystem->Load("libCintex.so");
  Cintex::Enable();

  gSystem->Load("libStandardRecord.so");
  gSystem->Load("libStandardRecord_dict.so");

  gSystem->Load("libCAFAna.so");
  gSystem->Load("libOscLibFunc.so");

  gSystem->SetIncludePath("-I$SRT_PRIVATE_CONTEXT/include/ -I$SRT_PUBLIC_CONTEXT/include/ -I$ROOTSYS/include -I$NUTOOLS_INC -I$GENIE_INC/GENIE/");

  // Doesn't seem to work
  //  gSystem->Setenv("IFDH_DEBUG", "0"); // shut ifdh up
  gSystem->Load("libifdh.so");

  // Pick up standard NOvA style
  gROOT->LoadMacro("$SRT_PUBLIC_CONTEXT/Utilities/rootlogon.C");
  rootlogon();
  gROOT->ForceStyle();

  TRint* rint = dynamic_cast<TRint*>(gApplication);
  if(rint) rint->SetPrompt("cafe [%d] ");
}
