#ifdef __CINT__
void reducefile(std::string fname, std::string outname)
{
  std::cout << "Sorry, you must run in compiled mode" << std::endl;
}
#else

#include "CAFAna/Cuts.h"
#include "CAFAna/FileReducer.h"
#include "CAFAna/Vars.h"

using namespace ana;

void reducefile(std::string fname, std::string outname)
{
  FileReducer reduce(fname, outname);

  reduce.AddVar(kLEM);
  reduce.AddVar(kJmID);

  reduce.AddVar(kCCE);
  reduce.AddVar(kQEE);
  reduce.AddVar(kUCE);

  reduce.AddCut(kCC && kContain2 && kQE);
  reduce.AddCut(kPassesPresel);
  reduce.AddCut(kIsSig);
  reduce.AddCut(kIsAntiNu);

  reduce.Go();
}

#endif
