////////////////////////////////////////////////////////////////////////
/// \brief   Hold drift constants from current run
/// \author bckhouse@caltech.edu
/// \date
////////////////////////////////////////////////////////////////////////
#ifndef CALIB_DRIFTCACHE_H
#define CALIB_DRIFTCACHE_H

#include <map>

#include "NovaDAQConventions/DAQConventions.h"
#include "GeometryObjects/OfflineChan.h"

namespace calib
{
  class DriftCache
  {
  public:

    DriftCache();
    virtual ~DriftCache();

    double GetFactor(int plane, int cell);

    void SetRun(int det, int run, int subrun);

  protected:
    void LoadFromDatabase();

    bool fDirty;

    int fCurDet;
    int fCurRun, fCurSubrun;

    std::map<geo::OfflineChan, double> fMap;
  };

} // end namespace calib

#endif
////////////////////////////////////////////////////////////////////////
