/// \file  ColorScaleTable.h
/// \brief The color scales used by the event display
/// \author messier@indiana.edu
/// \version $Id: ColorScaleTable.h,v 1.4 2010-12-22 15:19:49 p-novaart Exp $
#ifndef EVD_COLORSCALETABLE_H
#define EVD_COLORSCALETABLE_H
#include "EventDisplayBase/ColorScale.h"

namespace evd {

  static const int kGhostedColor = 18;

  class ColorScaleTable {
  public:
    static void MakeRawT(double lo, double hi);
    static void MakeCalT(double lo, double hi);
    static void MakeRawQ(double lo, double hi);
    static void MakeCalQ(double lo, double hi);

    static const evdb::ColorScale& RawQ();
    static const evdb::ColorScale& CalQ();
    static const evdb::ColorScale& RawT();
    static const evdb::ColorScale& CalT();
  };
}

#endif
////////////////////////////////////////////////////////////////////////
