void multihough_production_validation() {

  // Define initial parameters:
  std::string det  = "FarDet";
  std::string rel1 = "S13-06-05";
  std::string rel2 = "S14-03-06";
  std::string cat  = "cosmics";
  char name[256];
  double max = 0.0;

  // Old MC
  TFile *f1 = new TFile("/nova/data/mc/S13-06-05/cosmics/fd/hadd/fd_S13-06-05_v1_cosmics_200.sim.reco.validhists.root");
  // TFile *f1 = new TFile("/nova/data/mc/S13-06-05/genie/fd/hadd/fd_S13-06-05_v1_genie_3500_fhc_nonswap.sim.reco.hists.root");
  // TFile *f1 = new TFile("/nova/data/mc/S13-06-05/genie/fd/hadd/fd_S13-06-05_v1_genie_3500_fhc_fluxswap.sim.reco.hists.root");
  // TFile *f1 = new TFile("/nova/prod/mc/S14-03-06/reco/validation/hadd/fardet_genie_rhc_swap_S14-03-06.sim.daq.reco.hist.root");
  // TFile *f1 = new TFile("/nova/prod/mc/S14-03-06/reco/validation/hadd/neardet_genie_fhc_nonswap_S14-03-06.sim.daq.reco.hist.root");
  gDirectory->cd("multihoughana");
  TTree *nt1 = (TTree*)gDirectory->Get("hough");
  nt1->SetMarkerStyle(2);


  // New MC
  TFile *f2 = new TFile("/nova/prod/mc/S14-03-06/reco/validation/hadd/fardet_cosmics_S14-03-06.sim.daq.reco.hist.root");
  // TFile *f2 = new TFile("/nova/prod/mc/S14-03-06/reco/validation/hadd/fardet_genie_fhc_nonswap_S14-03-06.sim.daq.reco.hist.root");
  // TFile *f2 = new TFile("/nova/prod/mc/S14-03-06/reco/validation/hadd/fardet_genie_fhc_swap_S14-03-06.sim.daq.reco.hist.root");
  // TFile *f2 = new TFile("/nova/prod/mc/S14-03-06/reco/validation/hadd/fardet_genie_rhc_swap_S14-03-06.sim.daq.reco.hist.root");
  // TFile *f2 = new TFile("/nova/prod/mc/S14-03-06/reco/validation/hadd/neardet_genie_fhc_nonswap_S14-03-06.sim.daq.reco.hist.root");
  gDirectory->cd("multihoughana");
  TTree *nt2 = (TTree*)gDirectory->Get("hough");
  nt2->SetMarkerStyle(2);


 


  TH1F *hNHLX_1 = new TH1F("hNHLX_1","Num HL x-view;# of lines;fraction",11,-0.5,10.5);
  TH1F *hNHLY_1 = new TH1F("hNHLY_1","Num HL y-view;# of lines;fraction",11,-0.5,10.5);
  TH1F *hNHLX_2 = new TH1F("hNHLX_2","Num HL x-view;# of lines;fraction",11,-0.5,10.5);
  TH1F *hNHLY_2 = new TH1F("hNHLY_2","Num HL y-view;# of lines;fraction",11,-0.5,10.5);

  TH1F *hTHX_1 = new TH1F("hTHX_1","Threshold value for Hough Space map (x-view);threshold (arbitrary units);fraction",100,0.0,5.0);
  TH1F *hTHY_1 = new TH1F("hTHY_1","Threshold value for Hough Space map (y-view);threshold (arbitrary units);fraction",100,0.0,5.0);
  TH1F *hTHX_2 = new TH1F("hTHX_2","Threshold value for Hough Space map (x-view);threshold (arbitrary units);fraction",100,0.0,5.0);
  TH1F *hTHY_2 = new TH1F("hTHY_2","Threshold value for Hough Space map (y-view);threshold (arbitrary units);fraction",100,0.0,5.0);

  TH1F *h1x_1 = new TH1F("h1x_1","rho1x; rho; fraction",200,-400.0,400.0);
  TH1F *h1y_1 = new TH1F("h1y_1","rho1y; rho; fraction",200,-400.0,400.0);  
  TH1F *h2x_1 = new TH1F("h2x_1","rho2x; rho; fraction",200,-400.0,400.0);
  TH1F *h2y_1 = new TH1F("h2y_1","rho2y; rho; fraction",200,-400.0,400.0);
  TH1F *h1x_2 = new TH1F("h1x_2","rho1x; rho; fraction",200,-400.0,400.0);
  TH1F *h1y_2 = new TH1F("h1y_2","rho1y; rho; fraction",200,-400.0,400.0);  
  TH1F *h2x_2 = new TH1F("h2x_2","rho2x; rho; fraction",200,-400.0,400.0);
  TH1F *h2y_2 = new TH1F("h2y_2","rho2y; rho; fraction",200,-400.0,400.0);

  TH1F *hT1x_1 = new TH1F("hT1x_1","#theta 1^{st} line x-view;#theta [rad];fraction",40,0.0,4.0);
  TH1F *hT2x_1 = new TH1F("hT2x_1","#theta 2^{nd} line x-view;#theta [rad];fraction",40,0.0,4.0);
  TH1F *hT1y_1 = new TH1F("hT1y_1","#theta 1^{st} line y-view;#theta [rad];fraction",40,0.0,4.0);
  TH1F *hT2y_1 = new TH1F("hT2y_1","#theta 2^{nd} line y-view;#theta [rad];fraction",40,0.0,4.0);
  TH1F *hT1x_2 = new TH1F("hT1x_2","#theta 1^{st} line x-view;#theta [rad];fraction",40,0.0,4.0);
  TH1F *hT2x_2 = new TH1F("hT2x_2","#theta 2^{nd} line x-view;#theta [rad];fraction",40,0.0,4.0);
  TH1F *hT1y_2 = new TH1F("hT1y_2","#theta 1^{st} line y-view;#theta [rad];fraction",40,0.0,4.0);
  TH1F *hT2y_2 = new TH1F("hT2y_2","#theta 2^{nd} line y-view;#theta [rad];fraction",40,0.0,4.0);
  
  TH1F *hPoT1x_1 = new TH1F("hPoT1x_1","Peak/Threshold 1^{st} line x-view;peak/threshold;fraction",200,0.0,10000.0);
  TH1F *hPoT2x_1 = new TH1F("hPoT2x_1","Peak/Threshold 2^{nd} line x-view;peak/threshold;fraction",200,0.0,10000.0);
  TH1F *hPoT1y_1 = new TH1F("hPoT1y_1","Peak/Threshold 1^{st} line y-view;peak/threshold;fraction",200,0.0,10000.0);
  TH1F *hPoT2y_1 = new TH1F("hPoT2y_1","Peak/Threshold 2^{nd} line y-view;peak/threshold;fraction",200,0.0,10000.0);
  TH1F *hPoT1x_2 = new TH1F("hPoT1x_2","Peak/Threshold 1^{st} line x-view;peak/threshold;fraction",200,0.0,10000.0);
  TH1F *hPoT2x_2 = new TH1F("hPoT2x_2","Peak/Threshold 2^{nd} line x-view;peak/threshold;fraction",200,0.0,10000.0);
  TH1F *hPoT1y_2 = new TH1F("hPoT1y_2","Peak/Threshold 1^{st} line y-view;peak/threshold;fraction",200,0.0,10000.0);
  TH1F *hPoT2y_2 = new TH1F("hPoT2y_2","Peak/Threshold 2^{nd} line y-view;peak/threshold;fraction",200,0.0,10000.0);



  TCanvas *cNHLX = new TCanvas("cNHLX","num HLX",1000,700);
  cNHLX->cd();
  cNHLX->SetLogy();
  nt1->Draw("numHLX >> hNHLX_1");
  nt2->Draw("numHLX >> hNHLX_2");
  gStyle->SetOptStat(111111);
  hNHLX_1->SetLineColor(kBlue);
  hNHLX_1->SetLineWidth(2);
  hNHLX_1->Scale(1.0/hNHLX_1->Integral());
  hNHLX_1->Draw();
  hNHLX_2->SetLineColor(kRed);
  hNHLX_2->SetLineWidth(2);
  hNHLX_2->Scale(1.0/hNHLX_2->Integral());
  hNHLX_2->Draw("sames");
  sprintf(name,"NumHLX_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cNHLX->Print(name);

  TCanvas *cNHLY = new TCanvas("cNHLY","num HLY",1000,700);
  cNHLY->cd();
  cNHLY->SetLogy();
  nt1->Draw("numHLY >> hNHLY_1");
  nt2->Draw("numHLY >> hNHLY_2");
  gStyle->SetOptStat(111111);
  hNHLY_1->SetLineColor(kBlue);
  hNHLY_1->SetLineWidth(2);
  hNHLY_1->Scale(1.0/hNHLY_1->Integral());
  hNHLY_1->Draw();
  hNHLY_2->SetLineColor(kRed);
  hNHLY_2->SetLineWidth(2);
  hNHLY_2->Scale(1.0/hNHLY_2->Integral());
  hNHLY_2->Draw("sames");
  sprintf(name,"NumHLY_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cNHLY->Print(name);


  TCanvas *cTHX = new TCanvas("cTHX","THX",1000,700);
  cTHX->cd();
  cTHX->SetLogy();
  nt1->Draw("threshx >> hTHX_1");
  nt2->Draw("threshx >> hTHX_2");
  gStyle->SetOptStat(111111);
  hTHX_1->SetLineColor(kBlue);
  hTHX_1->SetLineWidth(2);
  hTHX_1->Scale(1.0/hTHX_1->Integral());
  hTHX_1->Draw();
  hTHX_2->SetLineColor(kRed);
  hTHX_2->SetLineWidth(2);
  hTHX_2->Scale(1.0/hTHX_2->Integral());
  hTHX_2->Draw("sames");
  sprintf(name,"ThreshX_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cTHX->Print(name);


  TCanvas *cTHY = new TCanvas("cTHY","THY",1000,700);
  cTHY->cd();
  cTHY->SetLogy();
  nt1->Draw("threshy >> hTHY_1");
  nt2->Draw("threshy >> hTHY_2");
  gStyle->SetOptStat(111111);
  hTHY_1->SetLineColor(kBlue);
  hTHY_1->SetLineWidth(2);
  hTHY_1->Scale(1.0/hTHY_1->Integral());
  hTHY_1->Draw();
  hTHY_2->SetLineColor(kRed);
  hTHY_2->SetLineWidth(2);
  hTHY_2->Scale(1.0/hTHY_2->Integral());
  hTHY_2->Draw("sames");
  sprintf(name,"ThreshY_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cTHY->Print(name);



  TCanvas *cR1x = new TCanvas("cR1x", "rho1x",1000,700);
  cR1x->cd();
  nt1->Draw("rho1x >> h1x_1");
  nt2->Draw("rho1x >> h1x_2");
  gStyle->SetOptStat(111111);
  cR1x->SetLogy();
  h1x_1->SetLineColor(kBlue);
  h1x_1->SetLineWidth(2);
  h1x_1->Scale(1.0/h1x_1->Integral());
  h1x_1->Draw();
  h1x_2->SetLineColor(kRed);
  h1x_2->SetLineWidth(2);
  h1x_2->Scale(1.0/h1x_2->Integral());
  h1x_2->Draw("sames");
  sprintf(name,"rho1x_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cR1x->Print(name);
  
  TCanvas *cR1y = new TCanvas("cR1y", "rho1y",1000,700);
  cR1y->cd();
  nt1->Draw("rho1y >> h1y_1");
  nt2->Draw("rho1y >> h1y_2");
  gStyle->SetOptStat(111111);
  cR1y->SetLogy();
  h1y_1->SetLineColor(kBlue);
  h1y_1->SetLineWidth(2);
  h1y_1->Scale(1.0/h1y_1->Integral());
  h1y_1->Draw();
  h1y_2->SetLineColor(kRed);
  h1y_2->SetLineWidth(2);
  h1y_2->Scale(1.0/h1y_2->Integral());
  h1y_2->Draw("sames");
  sprintf(name,"rho1y_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cR1y->Print(name);


  TCanvas *cR2x = new TCanvas("cR2x", "rho2x",1000,700);
  cR2x->cd();
  nt1->Draw("rho2x >> h2x_1");
  nt2->Draw("rho2x >> h2x_2");
  gStyle->SetOptStat(111111);
  cR2x->SetLogy();
  h2x_1->SetLineColor(kBlue);
  h2x_1->SetLineWidth(2);
  h2x_1->Scale(1.0/h2x_1->Integral());
  h2x_1->Draw();
  h2x_2->SetLineColor(kRed);
  h2x_2->SetLineWidth(2);
  h2x_2->Scale(1.0/h2x_2->Integral());
  h2x_2->Draw("sames");
  sprintf(name,"rho2x_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cR2x->Print(name);


  TCanvas *cR2y = new TCanvas("cR2y", "rho2y",1000,700);
  cR2y->cd();
  nt1->Draw("rho2y >> h2y_1");
  nt2->Draw("rho2y >> h2y_2");
  gStyle->SetOptStat(111111);
  cR2y->SetLogy();
  h2y_1->SetLineColor(kBlue);
  h2y_1->SetLineWidth(2);
  h2y_1->Scale(1.0/h2y_1->Integral());
  h2y_1->Draw();
  h2y_2->SetLineColor(kRed);
  h2y_2->SetLineWidth(2);
  h2y_2->Scale(1.0/h2y_2->Integral());
  h2y_2->Draw("sames");
  sprintf(name,"rho2y_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cR2y->Print(name);
  

  TCanvas *cT1x = new TCanvas("cT1x","theta 1x",1000,700);
  cT1x->cd();
  nt1->Draw("theta1x >> hT1x_1");
  nt2->Draw("theta1x >> hT1x_2");
  gStyle->SetOptStat(111111);
  hT1x_1->SetLineColor(kBlue);
  hT1x_1->SetLineWidth(2);
  hT1x_1->Scale(1.0/hT1x_1->Integral());
  hT1x_1->Draw();
  hT1x_2->SetLineColor(kRed);
  hT1x_2->SetLineWidth(2);
  hT1x_2->Scale(1.0/hT1x_2->Integral());
  hT1x_2->Draw("sames");
  sprintf(name,"theta1x_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cT1x->Print(name);

  TCanvas *cT2x = new TCanvas("cT2x","theta 2x",1000,700);
  cT2x->cd();
  nt1->Draw("theta2x >> hT2x_1");
  nt2->Draw("theta2x >> hT2x_2");
  gStyle->SetOptStat(111111);
  hT2x_1->SetLineColor(kBlue);
  hT2x_1->SetLineWidth(2);
  hT2x_1->Scale(1.0/hT2x_1->Integral());
  hT2x_1->Draw();
  hT2x_2->SetLineColor(kRed);
  hT2x_2->SetLineWidth(2);
  hT2x_2->Scale(1.0/hT2x_2->Integral());
  hT2x_2->Draw("sames");
  sprintf(name,"theta2x_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cT2x->Print(name);

  TCanvas *cT1y = new TCanvas("cT1y","theta 1y",1000,700);
  cT1y->cd();
  nt1->Draw("theta1y >> hT1y_1");
  nt2->Draw("theta1y >> hT1y_2");
  gStyle->SetOptStat(111111);
  hT1y_1->SetLineColor(kBlue);
  hT1y_1->SetLineWidth(2);
  hT1y_1->Scale(1.0/hT1y_1->Integral());
  hT1y_1->Draw();
  hT1y_2->SetLineColor(kRed);
  hT1y_2->SetLineWidth(2);
  hT1y_2->Scale(1.0/hT1y_2->Integral());
  hT1y_2->Draw("sames");
  sprintf(name,"theta1y_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cT1y->Print(name);

  TCanvas *cT2y = new TCanvas("cT2y","theta 2y",1000,700);
  cT2y->cd();
  nt1->Draw("theta2y >> hT2y_1");
  nt2->Draw("theta2y >> hT2y_2");
  gStyle->SetOptStat(111111);
  hT2y_1->SetLineColor(kBlue);
  hT2y_1->SetLineWidth(2);
  hT2y_1->Scale(1.0/hT2y_1->Integral());
  hT2y_1->Draw();
  hT2y_2->SetLineColor(kRed);
  hT2y_2->SetLineWidth(2);
  hT2y_2->Scale(1.0/hT2y_2->Integral());
  hT2y_2->Draw("sames");
  sprintf(name,"theta2y_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cT2y->Print(name);
  

  TCanvas *cPoT1x = new TCanvas("cPoT1x","peak over threshold 1x",1000,700);
  cPoT1x->cd();
  cPoT1x->SetLogy();
  nt1->Draw("peak1x/threshx >> hPoT1x_1");
  nt2->Draw("peak1x/threshx >> hPoT1x_2");
  gStyle->SetOptStat(111111);
  hPoT1x_1->SetLineColor(kBlue);
  hPoT1x_1->SetLineWidth(2);
  hPoT1x_1->Scale(1.0/hPoT1x_1->Integral());
  hPoT1x_1->Draw();
  hPoT1x_2->SetLineColor(kRed);
  hPoT1x_2->SetLineWidth(2);
  hPoT1x_2->Scale(1.0/hPoT1x_2->Integral());
  hPoT1x_2->Draw("sames");
  sprintf(name,"PoT1x_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cPoT1x->Print(name);

  TCanvas *cPoT2x = new TCanvas("cPoT2x","peak over threshold 2x",1000,700);
  cPoT2x->cd();
  cPoT2x->SetLogy();
  nt1->Draw("peak2x/threshx >> hPoT2x_1");
  nt2->Draw("peak2x/threshx >> hPoT2x_2");
  gStyle->SetOptStat(111111);
  hPoT2x_1->SetLineColor(kBlue);
  hPoT2x_1->SetLineWidth(2);
  hPoT2x_1->Scale(1.0/hPoT2x_1->Integral());
  hPoT2x_1->Draw();
  hPoT2x_2->SetLineColor(kRed);
  hPoT2x_2->SetLineWidth(2);
  hPoT2x_2->Scale(1.0/hPoT2x_2->Integral());
  hPoT2x_2->Draw("sames");
  sprintf(name,"PoT2x_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cPoT2x->Print(name);

  TCanvas *cPoT1y = new TCanvas("cPoT1y","peak over threshold 1y",1000,700);
  cPoT1y->cd();
  cPoT1y->SetLogy();
  nt1->Draw("peak1y/threshy >> hPoT1y_1");
  nt2->Draw("peak1y/threshy >> hPoT1y_2");
  gStyle->SetOptStat(111111);
  hPoT1y_1->SetLineColor(kBlue);
  hPoT1y_1->SetLineWidth(2);
  hPoT1y_1->Scale(1.0/hPoT1y_1->Integral());
  hPoT1y_1->Draw();
  hPoT1y_2->SetLineColor(kRed);
  hPoT1y_2->SetLineWidth(2);
  hPoT1y_2->Scale(1.0/hPoT1y_2->Integral());
  hPoT1y_2->Draw("sames");
  sprintf(name,"PoT1y_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cPoT1y->Print(name);

  TCanvas *cPoT2y = new TCanvas("cPoT2y","peak over threshold 2y",1000,700);
  cPoT2y->cd();
  cPoT2y->SetLogy();
  nt1->Draw("peak2y/threshy >> hPoT2y_1");
  nt2->Draw("peak2y/threshy >> hPoT2y_2");
  gStyle->SetOptStat(111111);
  hPoT2y_1->SetLineColor(kBlue);
  hPoT2y_1->SetLineWidth(2);
  hPoT2y_1->Scale(1.0/hPoT2y_1->Integral());
  hPoT2y_1->Draw();
  hPoT2y_2->SetLineColor(kRed);
  hPoT2y_2->SetLineWidth(2);
  hPoT2y_2->Scale(1.0/hPoT2y_2->Integral());
  hPoT2y_2->Draw("sames");
  sprintf(name,"PoT2y_%s_%s_%s_%s.png",det.c_str(),cat.c_str(),rel1.c_str(),rel2.c_str());
  cPoT2y->Print(name);

}
