////////////////////////////////////////////////////////////////////////
// \file    PIDDetails.h
// \brief   Attach LEM-specific info to the base PID object
// \author  Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#ifndef LEM_PIDDETAILS_H
#define LEM_PIDDETAILS_H

#include "RecoBase/PID.h"

#include "LEM/func/MatchList.h"
#include "LEM/func/PIDExtraVars.h"

namespace lem
{
  /// Attach LEM-specific info to the base PID object
  class PIDDetails: public rb::PID
  {
  public:
    PIDDetails() {}
#ifndef __GCCXML__
    PIDDetails(double pid): PID(12, pid) {}
#endif // __GCCXML__

    MatchList matchList;
    PIDExtraVars vars;
  };
}

#endif
