////////////////////////////////////////////////////////////////////////
/// \file    LibrarySummary.h
/// \brief   Details of the library LEM matches were made against
/// \author  Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#ifndef LEM_LIBRARYSUMMARY_H
#define LEM_LIBRARYSUMMARY_H

#include <ostream>

namespace lem
{
  /// Details of the library %LEM matches were made against
  class LibrarySummary
  {
  public:
#ifndef __GCCXML__
    LibrarySummary();
    LibrarySummary& operator+=(const LibrarySummary& s);
#endif

    int N;
    int nTrueNC;
    int nSwapNC;
    double totBkg;
    double totSig;
    double totEnrich;
  };

#ifndef __GCCXML__
  std::ostream& operator<<(std::ostream& os, const lem::LibrarySummary& ls);
#endif
}

#endif
