////////////////////////////////////////////////////////////////////////
/// \file    LiteHit.cxx
/// \brief   Compressed hit info, basic component of LEM events
/// \author  Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#include "LEM/func/LiteHit.h"

namespace lem
{
  bool compareByCell(const LiteHit& a, const LiteHit& b)
  {
    return a.Cell() < b.Cell();
  }

  bool compareByPlane(const LiteHit& a, const LiteHit& b)
  {
    return a.Plane() < b.Plane();
  }

  std::ostream& operator<<(std::ostream& os, const lem::LiteHit& h)
  {
    os << h.pecorr << " PECorr on plane " << h.Plane() << ", cell " << h.Cell();
    return os;
  }
}
