////////////////////////////////////////////////////////////////////////
/// \file    MatchableEvent.h
/// \brief   Attach some information used in matching to an EventSummary
/// \author  Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#ifndef LEM_MATCHABLEEVENT_H
#define LEM_MATCHABLEEVENT_H

#include "LEM/func/EventSummary.h"

namespace lem
{
  /// Attach some information used in matching to an EventSummary
  class MatchableEvent: public EventSummary
  {
  public:
    MatchableEvent() {}
    explicit MatchableEvent(const EventSummary& evt);

    MatchableEvent Downsampled(int factor) const;

    MatchableEvent Flipped(bool flipEven, bool flipOdd) const;

    double weight;
    float selfEnergy;
  };
} // namespace

#endif
