#include "TBox.h"
#include "TCanvas.h"
#include "TFile.h"
#include "TH2.h"
#include "TSystem.h"

#include "LEM/func/Library.h"
using namespace lem;

#include <iostream>

void show_event(TString libPath, int idx = 0, bool flipEven = false, bool flipOdd = false, bool idxs = false)
{
  Library* lib = Library::FromMMap(libPath.Data(), false);

  TCanvas* c = new TCanvas("a", "b", 1200, 600);
  c->Divide(2, 1);

  TH2* h[2] = {new TH2F("", ";plane;cell", 128, 0, 128, 128, 64, 192),
               new TH2F("", ";plane;cell", 128, 0, 128, 128, 64, 192)};

  // even view first then odd view
  const MatchableEvent& sum = lib->Event(idx);
  sum.FillHists(h[0], h[1], flipEven, flipOdd, idxs);

  for(int v = 0; v < 2; ++v){
    c->cd(v+1);
    h[v]->Draw("colz");

    TBox* b = new TBox(lem::kVertexPlane,   lem::kVertexCell,
                       lem::kVertexPlane+1, lem::kVertexCell+1);
    b->SetLineColor(kRed);
    b->SetFillStyle(0);
    b->SetLineWidth(2);
    b->SetLineStyle(7);
    b->Draw();

    const int trueCell = (sum.trueVtxPlane%2 == v) ? sum.trueVtxCellOther : sum.trueVtxCell;
    TBox* b2 = new TBox(sum.trueVtxPlane,   trueCell,
                        sum.trueVtxPlane+1, trueCell+1);
    b2->SetLineColor(kGreen+2);
    b2->SetFillStyle(0);
    b2->SetLineWidth(2);
    b2->SetLineStyle(7);
    b2->Draw();
  }
}
