#include "TBox.h"
#include "TCanvas.h"
#include "TFile.h"
#include "TH2.h"
#include "TSystem.h"

#include "func/Library.h"
#include "func/FindMatches.h"
using namespace lem;

#include <iostream>

void show_potential(TString libPath, int idx = 0, bool flipEven = false, bool flipOdd = false)
{
  Library* lib = Library::FromMMap(libPath.Data(), false);

  TCanvas* c = new TCanvas("a", "b", 1200, 600);
  c->Divide(2, 1);

  TH2* h[2] = {new TH2F("", ";plane;cell", 64, 0, 128, 128, 64, 192),
               new TH2F("", ";plane;cell", 64, 0, 128, 128, 64, 192)};

  const MatchableEvent& sum = lib->Event(idx);
  FlippedPotentials Vs;
  FillPotential(sum, Vs);

  for(int plane = 0; plane < 256; ++plane){
    for(int cell = 0; cell < 256; ++cell){
      const double p = Vs.V[flipEven][flipOdd].V[256*plane+cell];
      h[plane%2]->Fill(plane, cell, p);
    }
  }

  for(int v = 0; v < 2; ++v){
    c->cd(v+1);
    h[v]->Draw("colz");
    TBox* b = new TBox(lem::kVertexPlane,   lem::kVertexCell,
                       lem::kVertexPlane+1, lem::kVertexCell+1);
    b->SetLineColor(kRed);
    b->SetFillStyle(0);
    b->SetLineWidth(2);
    b->SetLineStyle(7);
    b->Draw();
  }
}
