
// NOvA includes

#include "RecoBase/Shower.h"
#include "RecoBase/Cluster.h"
#include "LIDBuilder/LID.h"
#include "LIDBuilder/EventLID.h"
#include "LIDBuilder/ShowerLID.h"

// art includes

#include "art/Persistency/Common/Assns.h"
#include "art/Persistency/Common/Wrapper.h"
#include "art/Persistency/Common/Ptr.h"

template class std::vector<slid::ShowerLID>;
template class art::Ptr<slid::ShowerLID>;
template class std::vector<art::Ptr<slid::ShowerLID> >;


template class std::vector<slid::EventLID>;
template class std::vector<slid::EventLID*>;
template class art::Ptr<slid::EventLID>;
template class std::vector<slid::ShowerLID*>;
template class std::vector<art::Ptr<slid::EventLID> >;

// The following enable slice to LID associations


template class std::pair< rb::Cluster, slid::EventLID >;
template class std::pair< art::Ptr<rb::Cluster>, art::Ptr<slid::EventLID> >;
template class std::pair< slid::EventLID, rb::Cluster >;
template class std::pair< art::Ptr<slid::EventLID>, art::Ptr<rb::Cluster> >;

template class art::Assns<rb::Cluster, slid::EventLID, void>;
template class art::Assns<slid::EventLID, rb::Cluster, void>;

template class art::Wrapper<art::Assns<rb::Cluster, slid::EventLID, void> >;
template class art::Wrapper<art::Assns<slid::EventLID, rb::Cluster, void> >;

// The following enable slice to showerLID associations


template class std::pair< rb::Cluster, slid::ShowerLID >;
template class std::pair< art::Ptr<rb::Cluster>, art::Ptr<slid::ShowerLID> >;
template class std::pair< slid::ShowerLID, rb::Cluster >;
template class std::pair< art::Ptr<slid::ShowerLID>, art::Ptr<rb::Cluster> >;

template class art::Assns<rb::Cluster, slid::ShowerLID, void>;
template class art::Assns<slid::ShowerLID, rb::Cluster, void>;

template class std::pair< rb::Shower, slid::ShowerLID >;
template class std::pair< art::Ptr<rb::Shower>, art::Ptr<slid::ShowerLID> >;
template class std::pair< slid::ShowerLID, rb::Shower >;
template class std::pair< art::Ptr<slid::ShowerLID>, art::Ptr<rb::Shower> >;

template class art::Assns<rb::Shower, slid::ShowerLID, void>;
template class art::Assns<slid::ShowerLID, rb::Shower, void>;

template class art::Wrapper< std::vector<slid::ShowerLID> >;
template class art::Wrapper< std::vector<slid::EventLID> >;


template class art::Wrapper<art::Assns<rb::Cluster, slid::ShowerLID, void> >;
template class art::Wrapper<art::Assns<slid::ShowerLID, rb::Cluster, void> >;

template class art::Wrapper<art::Assns<rb::Shower, slid::ShowerLID, void> >;
template class art::Wrapper<art::Assns<slid::ShowerLID, rb::Shower, void> >;

template class art::Wrapper<art::Assns<slid::ShowerLID, slid::EventLID, void> >;
template class art::Wrapper<art::Assns<slid::EventLID, slid::ShowerLID, void> >;

// LID object has become obsolete.

template class std::vector<slid::LID>;
template class std::vector<slid::LID*>;
template class art::Ptr<slid::LID>;
template class std::vector<art::Ptr<slid::LID> >;

template class std::pair< rb::Cluster, slid::LID >;
template class std::pair< art::Ptr<rb::Cluster>, art::Ptr<slid::LID> >;
template class std::pair< slid::LID, rb::Cluster >;
template class std::pair< art::Ptr<slid::LID>, art::Ptr<rb::Cluster> >;

template class std::pair< slid::LID, slid::ShowerLID >;
template class std::pair< art::Ptr<slid::LID>, art::Ptr<slid::ShowerLID> >;
template class std::pair< slid::ShowerLID, slid::LID >;
template class std::pair< art::Ptr<slid::ShowerLID>, art::Ptr<slid::LID> >;

template class art::Assns<rb::Cluster, slid::LID, void>;
template class art::Assns<slid::LID, rb::Cluster, void>;
template class art::Assns<slid::LID, slid::ShowerLID, void>;
template class art::Assns<slid::ShowerLID, slid::LID, void>;

template class art::Wrapper<art::Assns<rb::Cluster, slid::LID, void> >;
template class art::Wrapper<art::Assns<slid::LID, rb::Cluster, void> >;

template class art::Wrapper< std::vector<slid::LID> >;

template class art::Wrapper<art::Assns<slid::ShowerLID, slid::LID, void> >;
template class art::Wrapper<art::Assns<slid::LID, slid::ShowerLID, void> >;

template class std::map<int, float>;
template class art::Wrapper<std::map<int, float> >;
template class art::Ptr<std::map<int, float> >;

