#include "MichelEFilter/SliceMEFCluster.h"

//----------------------------------------------------------------------
me::SliceMEFCluster::SliceMEFCluster()
  : rb::Cluster()
{
}

  
//----------------------------------------------------------------------
me::SliceMEFCluster::~SliceMEFCluster()
{
}
  
//----------------------------------------------------------------------
// Calculates the min distance from Michel Cluster to a hit in Slice
double me::SliceMEFCluster::DistToSlc() const{
  return fDistToSlc;
}

//----------------------------------------------------------------------
// Calculates the time delay for the hit
double me::SliceMEFCluster::DeltaT() const{
  return fDeltaT;
}

//----------------------------------------------------------------------
// Finds the Number of slices in spill for which this michel passes
int me::SliceMEFCluster::NSlcMatches() const{
  return fNSlcMatches;
  //  return fSlcIndices.size();
}

//----------------------------------------------------------------------
// Slice indices for slices matched to ME
// std::vector<int> me::SliceMEFCluster::SlcIndices() const{
//   return fSlcIndices;
// }

//----------------------------------------------------------------------
void me::SliceMEFCluster::SetDistToSlc(double dist){
  fDistToSlc = dist;
}

//----------------------------------------------------------------------
void me::SliceMEFCluster::SetDeltaT(double deltat){
  fDeltaT = deltat;
}

//----------------------------------------------------------------------
void me::SliceMEFCluster::SetNSlcMatches(int nmatches){
  fNSlcMatches = nmatches;
}

//----------------------------------------------------------------------
// void me::SliceMEFCluster::SetSlcIndices(std::vector<int> indices){
//   fSlcIndices = indices;
// }

////////////////////////////////////////////////////////////////////////////
