////////////////////////////////////////////////////////////////////           
// \file    EID.cxx                                                            
// \brief   Brief please!!                                                     
// \version $Id: MVATrain.c,v 1.2 2012-08-21 07:01:29 gsdavies Exp $                                                             
// \author  xue@physics.umn.edu                                                
// \author  $author: $                                                         
//////////////////////////////////////////////////////////////////// 
#include <cstdlib>
#include <iostream>
#include <map>
#include <string>

#include "TChain.h"
#include "TFile.h"
#include "TTree.h"
#include "TString.h"
#include "TObjString.h"
#include "TSystem.h"
#include "TROOT.h"

//#if not defined(__CINT__) || defined(__MAKECINT__)
// needs to be included when makecint runs (ACLIC)
#include "TMVA/Factory.h"
#include "TMVA/Tools.h"
//#endif


void MVATrain() {
  
  TMVA::Tools::Instance();
  
  TFile* outputFile = TFile::Open( "mvatrain_output.root", "RECREATE" );

  TMVA::Factory *factory = new TMVA::Factory( "TMVAClassification", outputFile, "!V:!Silent:Color:DrawProgressBar:Transformations=I:AnalysisType=Classification" );

  factory->AddVariable( "longestTrackLength", 'F' );
  factory->AddVariable( "normVertexEnergy", 'F' );
  factory->AddVariable( "longestTrackAvgEnergy", 'F' );
  factory->AddVariable( "trackLengthRatio", 'F' );
  factory->AddVariable( "totalGeV", 'F');

  TFile *input = TFile::Open( "numubdtselectortrain_output.root" );
  input->cd("NuMuBDTSelectorTrain");
  
  TTree *CCtree = (TTree*) gDirectory->Get( "fVarCC" );
  TTree *NCtree = (TTree*) gDirectory->Get( "fVarNC" );

  factory->AddSignalTree    ( CCtree, 1.0 );
  factory->AddBackgroundTree( NCtree, 1.0 );

  factory->PrepareTrainingAndTestTree( "", "", "nTrain_Signal=0:nTrain_Background=0:SplitMode=Random:NormMode=NumEvents:!V" );

  factory->BookMethod( TMVA::Types::kBDT, "BDTG", "!H:!V:NTrees=1000:BoostType=Grad:Shrinkage=0.10:UseBaggedGrad:GradBaggingFraction=0.5:nCuts=20:NNodesMax=5" );

  factory->TrainAllMethods();
  factory->TestAllMethods();
  factory->EvaluateAllMethods();

  outputFile->Close();
  
  delete factory;
  
}


