#include "OnlineMonitoring/producer/DataBlockErrors.h"
#include <iostream>
#include "TH2F.h"
#include "OnlineMonitoring/producer/HistoSet.h"
#include "OnlineMonitoring/producer/RawEventSummary.h"
#include "OnlineMonitoring/producer/DataBlockSummary.h"
#include "OnlineMonitoring/util/HistoData.h"
#include "OnlineMonitoring/util/Settings.h"

using namespace om;
class RawEventSummary;

DataBlockErrors::DataBlockErrors() : 
  SummarySubscriber(SummarySubscriber::kDataBlock)
{

  // create the initial Error Plots
  HistoSet& h = HistoSet::Instance();

  fAEVsHour = h.GetTH2F("AEVsHour");

}

//......................................................................

DataBlockErrors::~DataBlockErrors() {}

//......................................................................

void DataBlockErrors::GetDataBlockSummary(const RawEventSummary&   r,
					  const DataBlockSummary&  dbs)
{

  //
  // fill missing data into all errors histo
  //
  if(dbs.fMissingData) {
    fAEVsHour->Fill(r.fHour, 1);
    if(r.fHour >= 23.0) fAEVsHour->Fill(r.fHour - 24.0, 1);
  }
}

////////////////////////////////////////////////////////////////////////
