///
/// \file    NanoSliceSummary.h
/// \brief   All the interesting event-level data
/// \version $Id: NanoSliceSummary.h,v 1.3 2012-10-25 20:54:45 mbaird42 Exp $
/// \author  messier@indiana.edu, mbaird42@fnal.gov
///
#ifndef OM_NANOSLICESUMMARY_H
#define OM_NANOSLICESUMMARY_H

#include "DAQChannelMap/DAQChannelMapConstants.h"

namespace om {
  class NanoSliceSummary {
  public:
    NanoSliceSummary();
  public:
    unsigned int   fFEB;          ///< FEB number of nanoslice (aka "hit")
    unsigned int   fPix;          ///< Pixel number on FEB
    unsigned int   fTDC;          ///< Time of hit in TDC units
    unsigned int   fADC;          ///< Charge of hit in TDC units
    unsigned int   fDChan;        ///< DAQ channel id of this hit
    unsigned int   fLChan;        ///< Local channel id of this hit
    unsigned int   fCell;         ///< cell number of hit
    unsigned int   fPlane;        ///< plane number of hit
    daqchannelmap::DetView_TYPE    fView; ///< in which view was the hit
    unsigned short fDataPresent;  ///< Data present status bit
    unsigned short fLinkStatus;   ///< Link status bit
    unsigned short fDebugMode;    ///< Debug mode status bit
    uint32_t       fFEBStatus;    ///< Status flags
    unsigned int   fHdwX;         ///< location of channel in "hardware display" space
    unsigned int   fHdwY;         ///< location of channel in "hardware display" space
    double         fUsec;         ///< Time of hit relative to start of micro slice
  };
}

#endif
////////////////////////////////////////////////////////////////////////
