#include "OnlineMonitoring/producer/RawEventErrors.h"
#include <iostream>
#include "TH2F.h"
#include "OnlineMonitoring/producer/HistoSet.h"
#include "OnlineMonitoring/producer/RawEventSummary.h"
#include "OnlineMonitoring/util/HistoData.h"
#include "OnlineMonitoring/util/Settings.h"

using namespace om;
// class RawEventSummary;

RawEventErrors::RawEventErrors() : 
  SummarySubscriber(SummarySubscriber::kEvent)
{

  // create the initial Error Plots
  HistoSet& h = HistoSet::Instance();

  fAEVsHour = h.GetTH2F("AEVsHour");

}

//......................................................................

RawEventErrors::~RawEventErrors() {}

//......................................................................

void RawEventErrors::GetRawEventSummary(const RawEventSummary&   r)
{

  //
  // fill missing data into all errors histo
  //
  if(r.fEventIncomplete) {
    fAEVsHour->Fill(r.fHour, 0);
    if(r.fHour >= 23.0) fAEVsHour->Fill(r.fHour - 24.0, 0);
  }
}

////////////////////////////////////////////////////////////////////////
