#include "OnlineMonitoring/producer/WLPlots.h"
#include "OnlineMonitoring/producer/RawEventSummary.h"
#include "OnlineMonitoring/producer/MicroSliceSummary.h"
#include "OnlineMonitoring/producer/NanoSliceSummary.h"
#include "OnlineMonitoring/producer/WatchListManager.h"

using namespace om;
class RawEventSummary;
class DataBlockSummary;
class MicroSliceSummary;

WLPlots::WLPlots() : 
  SummarySubscriber(SummarySubscriber::kNanoSlice)
{

}

//......................................................................

WLPlots::~WLPlots() { }

//......................................................................

void WLPlots::GetNanoSliceSummary(const RawEventSummary&   r,
				  const DataBlockSummary&  dbs,
				  const MicroSliceSummary& mss,
				  const NanoSliceSummary&  nss)
{
  //
  // NOTE:
  //
  // Unlike other plot makers, this one does NOT make any actual plots.
  // Since the WatchListManager holds all of the information about 
  // what hardware is on the WatchList and which WatchList histograms
  // exist, it is much simpler to have it do all of the histogram
  // filling.  The WLPlots object only exists to fit the existing
  // structure and to make what the code is doing as transparent as
  // possible.

  WatchListManager::Instance().FillPlots(mss.fDiblock, mss.fDCM,
					 nss.fFEB,     nss.fPix,
					 nss.fUsec-r.fT0lo32Usec,
					 nss.fADC);

}

////////////////////////////////////////////////////////////////////////
