#ifndef OM_WATCHLISTMANAGER_H
#define OM_WATCHLISTMANAGER_H
#include <vector>
#include <string>

// Largest number of watchlist items we allow to exist
// This item is also defined in util/IPCBlock.h!!!
static const unsigned int NMAX_WATCHLIST = 64;

class TH1F;
class TH2F;

namespace om {
  //
  // Define the structure of the WatchList
  //
  struct WatchList
  {
    std::vector< int > fDB;
    std::vector< int > fDCM;
    std::vector< int > fFEB;
    std::vector< int > fPIX;
    std::vector< int > fActive;
  };
}

namespace om {
  class WatchListManager {

  public:
    static WatchListManager& Instance();

    void Add   (int db, int dcm, int feb, int pix);
    void Remove(int db, int dcm, int feb, int pix);
    void GetList(std::vector<int>& db,
		 std::vector<int>& dcm,
		 std::vector<int>& feb,
		 std::vector<int>& pix);
    void FillPlots(int db, int dcm, int feb, int pix,
		   double time, unsigned int adc);
    void EndSubrunCleanUp();

  private:
    WatchListManager();
    ~WatchListManager();

    struct WatchList fCurrentWL;

  private:
    std::vector< TH2F* > fWLTQ;
    std::vector< TH1F* > fWLT;
    std::vector< TH1F* > fWLQ;

  };
}
#endif
