#include "DAQChannelMap/HardwareDisplay.h"
#include <cstdlib>
#include <iostream>

int main(void) 
{
  daqchannelmap::HardwareDisplay hmap;

  hmap.SetupFarDet();



  // test converting from hardware to XY and back
  if(0) {

    unsigned int Nerr = 0;
    unsigned int Npix = 0;

    unsigned int x1;
    unsigned int y1;

    unsigned int db2;
    unsigned int dcm2;
    unsigned int feb2;
    unsigned int pix2;

    for(unsigned int db1 = 1; db1 <= hmap.fNdiblocks; db1++) {
      for(unsigned int dcm1 = 1; dcm1 <= (hmap.fNdcmTop + hmap.fNdcmSide); dcm1++) {
	for(unsigned int feb1 = 0; feb1 < (hmap.fNfebCols)*(hmap.fNfebRows); feb1++) {
	  for(unsigned int pix1 = 0; pix1 < (hmap.fNpixCols)*(hmap.fNpixRows); pix1++) {

	    Npix++;

	    hmap.DAQToXY(db1, dcm1, feb1, pix1, &x1, &y1);
	    hmap.XYToDAQ(&db2, &dcm2, &feb2, &pix2, x1, y1);
    
	    if((db1-db2 == 0) && (dcm1-dcm2 == 0) && (feb1-feb2 == 0) && (pix1-pix2 == 0)) std::cout << "PASSED!" << std::endl;

	    if((db1-db2 != 0) || (dcm1-dcm2 != 0) || (feb1-feb2 != 0) || (pix1-pix2 != 0)) {

	      std::cout << std::endl << "ERROR!!!!!" << std::endl;

	      std::cout << db1  << " "
			<< dcm1 << " "
			<< feb1 << " "
			<< pix1 << " "
			<< x1  << " "
			<< y1  << std::endl;

	      std::cout << db2  << " "
			<< dcm2 << " "
			<< feb2 << " "
			<< pix2 << " "
			<< x1  << " "
			<< y1  << std::endl;
    
	      std::cout << db1 - db2  << " "
			<< dcm1 - dcm2 << " "
			<< feb1 - feb2 << " "
			<< pix1 - pix2 << "     ";

	      std::cout << std::endl << std::endl;

	      Nerr++;

	    } // end if

	  }
	}
      }
    }

    std::cout << "\ntotal number of pixels = " << Npix << "\nnumber of errors = " << Nerr << std::endl << std::endl;

  } // end if


  
  // test mapping with graphs in root
  if(1) {

    unsigned int db;
    unsigned int dcm;
    unsigned int feb;
    unsigned int pix;
    unsigned int ix;
    unsigned int iy;

    for (int i=0; i<200000; ++i) {
    
      // Populate the "1"'s with more density
      if ((rand()%2)==0) db = rand()%(hmap.fNdiblocks)+1;
      else               db = 1;
      if ((rand()%2)==0) dcm = rand()%(hmap.fNdcmTop+hmap.fNdcmSide)+1;
      else               dcm = 1;
      if ((rand()%2)==0) feb = rand()%64;
      else               feb = 0;
      pix = rand()%32;
    
      hmap.DAQToXY(db, dcm, feb, pix, &ix, &iy);
    
      std::cout << db  << " "
		<< dcm << " "
		<< feb << " "
		<< pix << " "
		<< ix  << " "
		<< iy  << std::endl;

    } // end for
  } // end if

  return 0;
}
////////////////////////////////////////////////////////////////////////
