#include "OnlineMonitoring/viewer/TabsBox.h"
#include "OnlineMonitoring/viewer/Layout.h"
#include "OnlineMonitoring/viewer/HistogramBrowser.h"
#include "OnlineMonitoring/viewer/ComparisonBox.h"
#include "OnlineMonitoring/viewer/WatchListBox.h"
using namespace om;

TabsBox::TabsBox(TGWindow* w) : 
  TGTab(w, Layout::fBrowserTabSizeX, Layout::fBrowserTabSizeY)
{
  TGCompositeFrame* hb = this->AddTab("Histograms");
  TGCompositeFrame* ct = this->AddTab("Comparison");
  TGCompositeFrame* wl = this->AddTab("WatchList");

  fHistoBrowser = new HistogramBrowser(hb, 
				       Layout::fBrowserTabSizeX-8,
				       Layout::fBrowserTabSizeY-48,
				       kVerticalFrame);
  fHistoBrowserHints  = new TGLayoutHints(kLHintsExpandX|kLHintsExpandY);
  hb->AddFrame(fHistoBrowser, fHistoBrowserHints);
  
  fComparisonBox = new ComparisonBox(ct,
				     Layout::fBrowserTabSizeX-8,
				     Layout::fBrowserTabSizeY-48,
				     kVerticalFrame);
  fComparisonBoxHints = new TGLayoutHints(kLHintsExpandX|kLHintsExpandY);
  ct->AddFrame(fComparisonBox, fComparisonBoxHints);

  fWatchListBox = new WatchListBox(wl,
				   Layout::fBrowserTabSizeX-8,
				   Layout::fBrowserTabSizeY-48,
				   kVerticalFrame);
  fWatchListBoxHints = new TGLayoutHints(kLHintsExpandX|kLHintsExpandY);
  wl->AddFrame(fWatchListBox, fWatchListBoxHints);

  // this->AddTab("Summaries");
}

//......................................................................

TabsBox::~TabsBox() 
{
  
  if(fHistoBrowser) {
    delete fHistoBrowser;
    fHistoBrowser = 0;
  }
  if(fHistoBrowserHints) {
    delete fHistoBrowserHints;
    fHistoBrowserHints = 0;
  }

  if(fComparisonBox) {
    delete fComparisonBox;
    fComparisonBox = 0;
  }
  if(fComparisonBoxHints) {
    delete fComparisonBoxHints;
    fComparisonBoxHints = 0;
  }

  if(fWatchListBox) {
    delete fWatchListBox;
    fWatchListBox = 0;
  }
  if(fWatchListBoxHints) {
    delete fWatchListBoxHints;
    fWatchListBoxHints = 0;
  }
  
}

////////////////////////////////////////////////////////////////////////
