#ifndef OM_WATCHLISTBOX_H
#define OM_WATCHLISTBOX_H
#include "RQ_OBJECT.h"
#include "TGFrame.h"
#include <vector>
#include "OnlineMonitoring/viewer/GUIModelSubscriber.h"
#include "OnlineMonitoring/viewer/Icons.h"

class TGWindow;
class TGRadioButton;
class TGPictureButton;
class TGTextButton;
class TGListBox;
class TGText;

class TGCompositeFrame;
class TGComboBox;
class TGLabel;

namespace om {
  /// A box showing options used to make comparisons between current
  /// and past histograms
  class WatchListBox : public TGCompositeFrame, public GUIModelSubscriber {
    RQ_OBJECT("WatchListBox");
  public:
    WatchListBox(const TGWindow* win,
		 unsigned int w,
		 unsigned int h,
		 unsigned int opt);
    ~WatchListBox();

    void HandleAddToList();
    void HandleRemoveFromList();

    void UpdateCurrentList();
    void UpdateHWboxes();

    void GUIModelDataIssue(const GUIModelData& m,
			   unsigned int which);

  private:    
    void LayoutHardwareFrame();
    void LayoutCurrentListFrame();

  private:
    TGGroupFrame*     fHardwareFrame;
    TGLabel*          fHWlabel;
    TGCompositeFrame* fHWboxes;

    TGComboBox*   fDB;
    TGComboBox*   fDCM;
    TGComboBox*   fFEB;
    TGComboBox*   fPIX;
    TGTextButton* fAddToList;

    TGGroupFrame* fCurrentListFrame;
    TGListBox*    fCurrentList;

    TGTextButton* fRemoveFromList;

    // local copy of the current watchlist
    std::vector<int> fCWLdb;
    std::vector<int> fCWLdcm;
    std::vector<int> fCWLfeb;
    std::vector<int> fCWLpix;

  ClassDef(WatchListBox,0)
  };
}
#endif
////////////////////////////////////////////////////////////////////////

