////////////////////////////////////////////////////////////////////////
/// \brief  DAQHeader class
/// \author jpaley@indiana.edu/
/// \date  
////////////////////////////////////////////////////////////////////////
#include "RawData/DAQHeader.h"

#include <iostream>
#include <string>

#include "NovaDAQConventions/DAQConventions.h"

namespace rawdata
{
  
  //----------------------------------------------------------------------
  
  DAQHeader::DAQHeader() : 
    fStatus(0), fDetId(novadaq::cnv::kUNKNOWN_DET)
  {
    
  }
  
  //----------------------------------------------------------------------
  
  DAQHeader::DAQHeader(int detId, unsigned int status) :
    fStatus(status), fDetId(detId)
  { 
    
  }
  
  DAQHeader::DAQHeader(const DAQHeader& daqheader):
    fStatus(daqheader.fStatus),
    fDetId (daqheader.fDetId)
  {

  }

  
  //----------------------------------------------------------------------
  
  DAQHeader::~DAQHeader()
  {
    
  }
  
} //end namespace rawdata
////////////////////////////////////////////////////////////////////////
