#include "StandardRecord/SRCosRej.h"

#include <limits>

namespace caf
{
  SRCosRej::SRCosRej():
  kalfwddist      (std::numeric_limits<float>::signaling_NaN()),
  kalbakdist      (std::numeric_limits<float>::signaling_NaN()),
  kalfwdcell      (std::numeric_limits<int>::signaling_NaN()),
  kalbakcell      (std::numeric_limits<int>::signaling_NaN()),
  cosfwddist      (std::numeric_limits<float>::signaling_NaN()),
  cosbakdist      (std::numeric_limits<float>::signaling_NaN()),
  cosfwdcell      (std::numeric_limits<int>::signaling_NaN()),
  cosbakcell      (std::numeric_limits<int>::signaling_NaN()),
  mindist         (std::numeric_limits<float>::signaling_NaN()),
  mincell         (std::numeric_limits<int>::signaling_NaN()),
  anglekal        (std::numeric_limits<float>::signaling_NaN()),
  anglecos        (std::numeric_limits<float>::signaling_NaN()),
  nkal3d          (std::numeric_limits<int>::signaling_NaN()),
  costhetatrue    (std::numeric_limits<float>::signaling_NaN()),
  kalthetatrue    (std::numeric_limits<float>::signaling_NaN()),
  pdgbest         (std::numeric_limits<int>::signaling_NaN()),
  kaldist         (std::numeric_limits<float>::signaling_NaN()),
  rpid            (std::numeric_limits<float>::signaling_NaN()),
  cvetocont       (std::numeric_limits<bool>::signaling_NaN()),
  cvetoangleweak  (std::numeric_limits<bool>::signaling_NaN()),
  cvetoanglestrong(std::numeric_limits<bool>::signaling_NaN()),
  cvetofwddist    (std::numeric_limits<float>::signaling_NaN()),
  cvetobakdist    (std::numeric_limits<float>::signaling_NaN()),
  numucontpid     (std::numeric_limits<float>::signaling_NaN()),
  numuuncontpid   (std::numeric_limits<float>::signaling_NaN()),
  scatt           (std::numeric_limits<float>::signaling_NaN()),
  fscattmax       (std::numeric_limits<float>::signaling_NaN()),
  fscattsum       (std::numeric_limits<float>::signaling_NaN()),
  fscattext       (std::numeric_limits<float>::signaling_NaN()),
  fscattsig       (std::numeric_limits<float>::signaling_NaN()),
  eratio          (std::numeric_limits<float>::signaling_NaN()),
  hadE            (std::numeric_limits<float>::signaling_NaN()),
  nbbc            (std::numeric_limits<int>::signaling_NaN()),
  kfitspeed       (std::numeric_limits<float>::signaling_NaN()),
  cfitspeed       (std::numeric_limits<float>::signaling_NaN()),
  kdirscore       (std::numeric_limits<float>::signaling_NaN()),
  cdirscore       (std::numeric_limits<float>::signaling_NaN()),
  kscorediff      (std::numeric_limits<float>::signaling_NaN()),
  cscorediff      (std::numeric_limits<float>::signaling_NaN())
  //  kalslope        (std::numeric_limits<float>::signaling_NaN()),
  //  kalchisq        (std::numeric_limits<float>::signaling_NaN()),
  //  kalchidiff      (std::numeric_limits<float>::signaling_NaN()),
  //  cosslope        (std::numeric_limits<float>::signaling_NaN()),
  //  coschisq        (std::numeric_limits<float>::signaling_NaN()),
  //  coschidiff      (std::numeric_limits<float>::signaling_NaN()),
  {  }

  SRCosRej::~SRCosRej(){  }

  void SRCosRej::setDefault()
  {
    anglekal     = -5;
    anglecos     = -5;
    numucontpid  = -5;
    numuuncontpid= -5;
    nkal3d       = -5;
    cosfwddist   = -5;
    cosbakdist   = -5;
    cosfwdcell   = -5;
    cosbakcell   = -5;
    kalfwddist   = -5;
    kalbakdist   = -5;
    kalfwdcell   = -5;
    kalbakcell   = -5;
    mindist      = -5;
    mincell      = -5;
    eratio       = -5;
    scatt        = -5;
    hadE         = -5;
    costhetatrue = -5;
    kalthetatrue = -5;
    pdgbest      = -5;
    kaldist      = -5;
    fscattmax    = -5;
    fscattsum    = -5;
    fscattext    = -5;
    fscattsig    = -5;
    cvetocont    = false;
    cvetoangleweak   = false;
    cvetoanglestrong = false;
    cvetofwddist = -5;
    cvetobakdist = -5;
    nbbc         = -5;
    rpid         = -5;
    kfitspeed    = -5;
    cfitspeed    = -5;
    kdirscore    = -5;
    cdirscore    = -5;
    kscorediff   = -5;
    cscorediff   = -5;
    //    kalslope     = -5;
    //    kalchisq     = -5;
    //    kalchidiff   = -5;
    //    cosslope     = -5;
    //    coschisq     = -5;
    //    coschidiff   = -5;
  }

} // end namespace caf
////////////////////////////////////////////////////////////////////////
