////////////////////////////////////////////////////////////////////////
// \brief   An SRCosmic adds information about a cosmic object to the Truth branch
// \author  gsdavies@iastate.edu
// \date    February 2012
////////////////////////////////////////////////////////////////////////
#include "StandardRecord/SRCosmic.h"


namespace caf 
{
  
  SRCosmic::SRCosmic():
    pdg(-1),
    E(std::numeric_limits<float>::signaling_NaN()),
    visE(std::numeric_limits<float>::signaling_NaN()),
    visEinslc(std::numeric_limits<float>::signaling_NaN()),
    eff(std::numeric_limits<float>::signaling_NaN()),
    pur(std::numeric_limits<float>::signaling_NaN()),
    nhitslc(-1),
    nhittot(-1),
    time(std::numeric_limits<float>::signaling_NaN()),
    p(),
    vtx(),
    azimuth(std::numeric_limits<float>::signaling_NaN()),
    zenith(std::numeric_limits<float>::signaling_NaN()),
    enter(),
    exit(),
    stop()
  {  }
  
  
  
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
