////////////////////////////////////////////////////////////////////////
// \file    SRElastic.cxx
// \breif   An  SRElastic represents a potential interaction point.
// \version $Id: SRElastic.cxx,v 1.5 2012-11-19 17:32:22 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////
#include<limits>

#include "StandardRecord/SRElastic.h"

namespace caf 
{
  
  SRElastic::SRElastic():
  time(std::numeric_limits<float>::signaling_NaN()),
  vtx(),
  png3D(),
  png2D()
  {  }
  
  
  SRElastic::~SRElastic(){  }
  
  void SRElastic::fillSizes()
  {
    npng3d = png3D.size();
    npng2d  = png2D.size();
    ntot  = npng2d + npng3d;
  }

  void SRElastic::setDefault()
  {
    time = -5;
    vtx.SetXYZ(0,0,0);
  }

} // end namespace caf
////////////////////////////////////////////////////////////////////////
