////////////////////////////////////////////////////////////////////////
// \brief   An  SRNeutrino represents a true neutrino.
// \author  gsdavies@iastate.edu
// \date    February 2013
////////////////////////////////////////////////////////////////////////


#include "StandardRecord/SRNeutrino.h"


namespace caf 
{
  
  SRNeutrino::SRNeutrino():
    pdg(-1),
    E(std::numeric_limits<float>::signaling_NaN()),
    visE(std::numeric_limits<float>::signaling_NaN()),
    visEinslc(std::numeric_limits<float>::signaling_NaN()),
    eff(std::numeric_limits<float>::signaling_NaN()),
    pur(std::numeric_limits<float>::signaling_NaN()),
    nhitslc(-1),
    nhittot(-1),
    time(std::numeric_limits<float>::signaling_NaN()),
    p(),
    vtx(),
    pdgorig(std::numeric_limits<int>::signaling_NaN()),
    hitnuc(std::numeric_limits<int>::signaling_NaN()),
    woscdumb(std::numeric_limits<float>::signaling_NaN()),
    mode(std::numeric_limits<int>::signaling_NaN()),
    iscc(true),
    inttype(std::numeric_limits<int>::signaling_NaN()),
    q2(std::numeric_limits<float>::signaling_NaN()),
    x(std::numeric_limits<float>::signaling_NaN()),
    y(std::numeric_limits<float>::signaling_NaN()),
    W2(std::numeric_limits<float>::signaling_NaN()),
    prim()
    {  }
  
  
      
} // end namespace caf
////////////////////////////////////////////////////////////////////////
