#include "StandardRecord/SRNueCosRej.h"

#include <limits>

namespace caf
{
  SRNueCosRej::SRNueCosRej():
    hitplane      (std::numeric_limits<float>::signaling_NaN()),
    pngptp        (std::numeric_limits<float>::signaling_NaN()),
    partptp       (std::numeric_limits<float>::signaling_NaN()),
    photptp       (std::numeric_limits<float>::signaling_NaN()),
    starttop      (std::numeric_limits<float>::signaling_NaN()),
    startbottom   (std::numeric_limits<float>::signaling_NaN()),
    startfront    (std::numeric_limits<float>::signaling_NaN()),
    startback     (std::numeric_limits<float>::signaling_NaN()),
    startwest     (std::numeric_limits<float>::signaling_NaN()),
    starteast     (std::numeric_limits<float>::signaling_NaN()),
    stoptop       (std::numeric_limits<float>::signaling_NaN()),
    stopbottom    (std::numeric_limits<float>::signaling_NaN()),
    stopfront     (std::numeric_limits<float>::signaling_NaN()),
    stopback      (std::numeric_limits<float>::signaling_NaN()),
    stopwest      (std::numeric_limits<float>::signaling_NaN()),
    stopeast      (std::numeric_limits<float>::signaling_NaN()),
    dang          (std::numeric_limits<float>::signaling_NaN()),
    vtxdoca       (std::numeric_limits<float>::signaling_NaN()),
    showermaxx    (std::numeric_limits<float>::signaling_NaN()),
    showermaxy    (std::numeric_limits<float>::signaling_NaN()),
    showermaxz    (std::numeric_limits<float>::signaling_NaN())
  {
  }


  SRNueCosRej::~SRNueCosRej(){  }


  void SRNueCosRej::setDefault()
  {
    hitplane      = -5;  
    pngptp        = -5;
    partptp       = -5;
    photptp       = -5;
    starttop      = -5;
    startbottom   = -5;
    startfront    = -5;
    startback     = -5;
    startwest     = -5;
    starteast     = -5;
    stoptop       = -5;
    stopbottom    = -5;
    stopfront     = -5;
    stopback      = -5;
    stopwest      = -5;
    stopeast      = -5;
    dang          = -5;
    vtxdoca       = -5;
    showermaxx    = -5;
    showermaxy    = -5;
    showermaxz    = -5;
  }

}// end of namespace caf
