////////////////////////////////////////////////////////////////////////
// \file    SRNuePresel.cxx
// \breif   This class contains the LEM PID output.  
// \version $Id: SRNuePresel.cxx,v 1.4 2012-12-07 06:37:29 gsdavies Exp $  
// \author  $Author: gsdavies $
// \date    $Date: 2012-12-07 06:37:29 $
////////////////////////////////////////////////////////////////////////
#include<limits>
#include "StandardRecord/SRNuePresel.h"

namespace caf 
{
  
  SRNuePresel::SRNuePresel():
    calE(std::numeric_limits<float>::signaling_NaN()),
    ncell(std::numeric_limits<int>::signaling_NaN()),                
    lengthdiscrete2d(std::numeric_limits<float>::signaling_NaN()),      
    lengthdiscretemerge(std::numeric_limits<float>::signaling_NaN()), 
    lengthkalman(std::numeric_limits<float>::signaling_NaN()),        
    fracmip(std::numeric_limits<float>::signaling_NaN()),              
    vtx(),                 
    mean(),
    cellstoedge(std::numeric_limits<int>::signaling_NaN()),          
    planestofront(std::numeric_limits<int>::signaling_NaN()),        
    planestoback(std::numeric_limits<int>::signaling_NaN()),         
    passfid(std::numeric_limits<bool>::signaling_NaN()),
    passpre(std::numeric_limits<bool>::signaling_NaN())                  
  {  }
  
  
  SRNuePresel::~SRNuePresel(){  }
  

} // end namespace caf
////////////////////////////////////////////////////////////////////////
