////////////////////////////////////////////////////////////////////////
// \file    SRNumuSandbox.cxx
// \breif   Class for storing information necessary for nu_e analysis. 
//          This information might not exist here forever, it may 
//          eventually be moved somewhere else. 
// \version $Id: SRNumuSandbox.cxx,v 1.1 2012-12-07 21:17:12 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-12-07 21:17:12 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRNumuSandbox.h"

#include <limits>


namespace caf
{
  SRNumuSandbox::SRNumuSandbox():
  pimudecay       (std::numeric_limits<int>::signaling_NaN()),
  vtxdst          (std::numeric_limits<float>::signaling_NaN()),
  mudst           (std::numeric_limits<float>::signaling_NaN()),
  misse           (std::numeric_limits<float>::signaling_NaN()),
  misse2          (std::numeric_limits<float>::signaling_NaN()),
  bbc             (std::numeric_limits<int>::signaling_NaN()),
  dfe2            (std::numeric_limits<float>::signaling_NaN()),
  dfe3            (std::numeric_limits<float>::signaling_NaN()),
  dfey2           (std::numeric_limits<float>::signaling_NaN()),
  dfey3           (std::numeric_limits<float>::signaling_NaN()),
  dfeth1          (std::numeric_limits<float>::signaling_NaN()),
  dfeth2          (std::numeric_limits<float>::signaling_NaN()),
  dfeyth1         (std::numeric_limits<float>::signaling_NaN()),
  dfeyth2         (std::numeric_limits<float>::signaling_NaN())
  {  }


  SRNumuSandbox::~SRNumuSandbox(){  }

  void SRNumuSandbox::setDefault()
  {
    pimudecay    = -5;
    vtxdst       = -5;
    mudst        = -5;
    misse        = -5;
    misse2       = -5;
    bbc          = -5;
    dfe2         = -5;
    dfe3         = -5;
    dfey2        = -5;
    dfey3        = -5;
    dfeth1       = -5;
    dfeth2       = -5;
    dfeyth1      = -5;
    dfeyth2      = -5;
  }

} // end namespace caf
////////////////////////////////////////////////////////////////////////
