////////////////////////////////////////////////////////////////////////
// \file    SRNumuSandbox.h
// \breif   Class for storing information necessary for nu_mu analysis. 
//          This information might not exist here forever, it may 
//          eventually be moved somewhere else. 
// \version $Id: SRNumuSandbox.h,v 1.1 2012-12-07 21:17:12 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-12-07 21:17:12 $
#ifndef SRNUMUSANDBOX_H
#define SRNUMUSANDBOX_H


namespace caf
{
    /// Class for storing information necessary for nu_mu analysis. 
    /// This information might not exist here forever, it may 
    /// eventually be moved somewhere else.
    class SRNumuSandbox{
    public:
      ///  Default constructor
      SRNumuSandbox();

      /// Default destuctor
      ~SRNumuSandbox();
      void setDefault();

      int     pimudecay;        ///< did slice contain pi->mu decay?
      float   vtxdst;           ///< distance from vertex to detector edge
      float   mudst;            ///< projected distance from muon end to detector edge
      float   misse;            ///< energy of particles leaving detector
      float   misse2;           ///< different calculation
      int     bbc;              ///< Max number hits outside box for Gavins BBC box size
      float   dfe2;
      float   dfe3;
      float   dfey2;
      float   dfey3;
      float   dfeth1;
      float   dfeth2;
      float   dfeyth1;
      float   dfeyth2;
    };

} // end namespace

#endif // SRNUMUSANDBOX_H
//////////////////////////////////////////////////////////////////////////////
