////////////////////////////////////////////////////////////////////////
// \file    SRSlice.cxx
// \breif   An  SRSlice contains overarching information for a slice.
// \version $Id: SRSlice.cxx,v 1.4 2012-12-07 21:06:22 rocco Exp $  
// \author  $Author: rocco $
// \date    $Date: 2012-12-07 21:06:22 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRSlice.h"


namespace caf 
{
  SRSlice::SRSlice():
  nhit(std::numeric_limits<int>::signaling_NaN()),
  ncalhit(std::numeric_limits<int>::signaling_NaN()),
  nmiphit(std::numeric_limits<int>::signaling_NaN()),
  ncontplanes(std::numeric_limits<int>::signaling_NaN()),
  firstplane(std::numeric_limits<int>::signaling_NaN()),
  lastplane(std::numeric_limits<int>::signaling_NaN()),
  firstcell(std::numeric_limits<int>::signaling_NaN()),
  lastcell(std::numeric_limits<int>::signaling_NaN()),
  ncellsfromedge(std::numeric_limits<int>::signaling_NaN()),
  nnonnoise(std::numeric_limits<int>::signaling_NaN()),
  calE(std::numeric_limits<float>::signaling_NaN()),
  starttime(std::numeric_limits<float>::signaling_NaN()),
  endtime(std::numeric_limits<float>::signaling_NaN()), 
  meantime(std::numeric_limits<float>::signaling_NaN()),
  boxmin(),
  boxmax(),
  meanpos()
  {  }
  
  
  SRSlice::~SRSlice(){  }
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
