////////////////////////////////////////////////////////////////////////
// \file    SRSpill.cxx
// \breif   An  SRSpill contains information on the NuMI spill.
// \version $Id: SRSpill.cxx,v 1.4 2012-11-19 17:32:22 rocco Exp $  
// \author  $Author: edniner $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////

#include "StandardRecord/SRSpill.h"

#include<limits>


namespace caf 
{
  SRSpill::SRSpill():
  isgoodspill(false),
  spilltimesec(std::numeric_limits<unsigned long int>::signaling_NaN()),
  spilltimensec(std::numeric_limits<unsigned long int>::signaling_NaN()),
  gpsspilltimesec(std::numeric_limits<unsigned long int>::signaling_NaN()),
  gpsspilltimensec(std::numeric_limits<unsigned long int>::signaling_NaN()),
  deltaspilltimensec(std::numeric_limits<signed long long int>::signaling_NaN()),
  spillpot(std::numeric_limits<float>::signaling_NaN()),
  hornI(std::numeric_limits<float>::signaling_NaN()),
  posx(std::numeric_limits<float>::signaling_NaN()),
  posy(std::numeric_limits<float>::signaling_NaN()),
  widthx(std::numeric_limits<float>::signaling_NaN()),
  widthy(std::numeric_limits<float>::signaling_NaN())
  {  }
  
  
  SRSpill::~SRSpill(){  }

  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
