////////////////////////////////////////////////////////////////////////
// \file    SRTrack.cxx
// \brief   An SRTrack is a high level track object.  It knows its 
//          direction and length, but does not own its cell hits.
// \version $Id: SRTrack.cxx,v 1.4 2012-11-19 17:32:22 rocco Exp $
// \author  $Author: rocco $
// \date    $Date: 2012-11-19 17:32:22 $
////////////////////////////////////////////////////////////////////////
#include "StandardRecord/SRTrack.h"




namespace caf 
{
  
  SRTrack::SRTrack():
    nhit(-1),
    nhitx(-1),
    nhity(-1),
    nplane(-1),
    maxplanecont(std::numeric_limits<int>::signaling_NaN()),
    maxplanegap(std::numeric_limits<int>::signaling_NaN()),
    calE(std::numeric_limits<float>::signaling_NaN()),
    start(),
    dir(),
    len(std::numeric_limits<float>::signaling_NaN()),
    lenE(std::numeric_limits<float>::signaling_NaN()),
    stop()
  {  
    
  }
  
  
    
   
  

  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
