#!/bin/bash

if [ x$SRT_PUBLIC_CONTEXT == x ]
    then echo Please setup novasoft first
    exit 1
fi

if [ $# == 0 ] || [ $# -ge 6 ]
    then echo Usage $0 'run subrun [trigger (default 2)] [event] [slice]'
    exit 2
fi

RUN=$1
SUBRUN=$2
TRIGGER=2 # cosmics
if [ $# -ge 3 ]; then TRIGGER=$3; fi
if [ $# -ge 4 ]; then EVENT=$4; fi
if [ $# -ge 5 ]; then SLICE=$5; fi

EVD=evd.fcl

if [ x$EVENT != x ]
    then EVD=`mktemp`.fcl
    cp $SRT_PUBLIC_CONTEXT/job/evd.fcl $EVD

    if [ x$EVENT != x ]
	then
	# ART needs the run and subrun set before it will listen to the event
	# https://cdcvs.fnal.gov/redmine/issues/1632
	echo source.firstRun: $RUN >> $EVD
	echo source.firstSubRun: $SUBRUN >> $EVD
	echo source.firstEvent: $EVENT >> $EVD
    fi

    if [ x$SLICE != x ]
	then
	echo services.user.SliceNavigator.InitiallyEnabled: true >> $EVD
	echo services.user.SliceNavigator.SliceOpt.val: 4 >> $EVD # dim others
	echo services.user.SliceNavigator.InitialSlice: $SLICE >> $EVD
    fi

#    cat $EVD
fi

echo Getting tickets etc...
kx509 || exit 3
kxlist –p || exit 4
voms-proxy-init --rfc --voms=fermilab:/fermilab/nova/Role=Analysis --noregen || exit 5

echo Finding file...
FILE=`samweb -e nova list-files online.runnumber $RUN and online.subrun $SUBRUN and data_stream $TRIGGER and data_tier reco | head -n1`

if [ x$FILE == x ]
    then echo Couldn\'t find any matching file, aborting
    exit 6
fi

echo Opening ${FILE}...

nova -c $EVD `samweb2xrootd $FILE`
